Arch-dev-public
Threads by month
- ----- 2026 -----
- March
- February
- January
- ----- 2025 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2024 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2023 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2022 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2021 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2020 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2019 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2018 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2017 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2016 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2015 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2014 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2013 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2012 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2011 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2010 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2009 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2008 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2007 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- 6 participants
- 9900 discussions
[arch-dev-public] Integrity Check i686: core, extra, community 12-03-2010
by repomaintï¼ archlinux.org 12 Mar '10
by repomaintï¼ archlinux.org 12 Mar '10
12 Mar '10
================================================
= Integrity Check i686 of core,extra,community =
================================================
Performing integrity checks...
==> parsing pkgbuilds
==> parsing db files
==> checking mismatches
==> checking archs
==> checking dependencies
==> checking makedepends
==> checking hierarchy
==> checking for circular dependencies
==> checking for differences between db files and pkgbuilds
Duplicate PKGBUILDs
---------------------
/srv/abs/rsync/any/extra/namcap vs. /srv/abs/rsync/i686/extra/namcap
Missing Dependencies
----------------------
community/airsnort --> 'wlan-ng26-utils'
community/sysprof-module --> 'kernel26<2.6.'
Missing Makedepends
---------------------
core/dash --> 'klibc>=1.5'
Repo Hierarchy for Dependencies
---------------------------------
extra/pan depends on community/gmime22 (0 extra (make)deps to pull)
Repo Hierarchy for Makedepends
--------------------------------
core/ca-certificates depends on extra/ruby (25 extra (make)deps to pull)
core/crda depends on extra/python-m2crypto (26 extra (make)deps to pull)
core/e2fsprogs depends on extra/bc (0 extra (make)deps to pull)
core/groff depends on extra/ghostscript (136 extra (make)deps to pull)
core/groff depends on extra/netpbm (45 extra (make)deps to pull)
core/groff depends on extra/psutils (137 extra (make)deps to pull)
core/iputils depends on extra/docbook-xsl (26 extra (make)deps to pull)
core/iputils depends on extra/libxslt (25 extra (make)deps to pull)
core/iputils depends on extra/opensp (30 extra (make)deps to pull)
core/sqlite3 depends on extra/tcl (0 extra (make)deps to pull)
core/udev depends on extra/gobject-introspection (26 extra (make)deps to pull)
core/udev depends on extra/gperf (0 extra (make)deps to pull)
core/udev depends on extra/libxslt (25 extra (make)deps to pull)
core/udev-compat depends on extra/gobject-introspection (26 extra (make)deps to pull)
core/udev-compat depends on extra/gperf (0 extra (make)deps to pull)
core/udev-compat depends on extra/libxslt (25 extra (make)deps to pull)
extra/bigloo depends on community/jdk (1 extra (make)deps to pull : jre)
extra/gnome-speech depends on community/espeak (1 extra (make)deps to pull : portaudio)
extra/grml-zsh-config depends on community/txt2tags (0 extra (make)deps to pull)
extra/opengtl depends on community/llvm (0 extra (make)deps to pull)
extra/xqf depends on community/chrpath (0 extra (make)deps to pull)
Summary
---------
Missing PKGBUILDs: 0
Invalid PKGBUILDs: 0
Mismatching PKGBUILD names: 0
Duplicate PKGBUILDs: 1
Invalid archs: 0
Missing (make)dependencies: 3
Repo hierarchy problems: 22
Circular dependencies: 0
In db, but not in tree: 0
In tree, but not in db: 0
1
0
---
testing2community | 13 -----------
testing2community-any | 13 -----------
testing2community64 | 13 -----------
testing2core | 11 ---------
testing2core-any | 13 -----------
testing2core64 | 13 -----------
testing2extra | 13 -----------
testing2extra-any | 13 -----------
testing2extra64 | 13 -----------
testing2x | 57 -------------------------------------------------
testing2x64 | 1 -
11 files changed, 0 insertions(+), 173 deletions(-)
delete mode 100755 testing2community
delete mode 100755 testing2community-any
delete mode 100755 testing2community64
delete mode 100755 testing2core
delete mode 100755 testing2core-any
delete mode 100755 testing2core64
delete mode 100755 testing2extra
delete mode 100755 testing2extra-any
delete mode 100755 testing2extra64
delete mode 100755 testing2x
delete mode 120000 testing2x64
diff --git a/testing2community b/testing2community
deleted file mode 100755
index f87c927..0000000
--- a/testing2community
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'i686'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community-any b/testing2community-any
deleted file mode 100755
index c9540f7..0000000
--- a/testing2community-any
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'any'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community64 b/testing2community64
deleted file mode 100755
index c808b3f..0000000
--- a/testing2community64
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'x86_64'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core b/testing2core
deleted file mode 100755
index 4c53d34..0000000
--- a/testing2core
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'core' 'i686'
-done
diff --git a/testing2core-any b/testing2core-any
deleted file mode 100755
index 56f0753..0000000
--- a/testing2core-any
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'core' 'any'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core64 b/testing2core64
deleted file mode 100755
index c9420fe..0000000
--- a/testing2core64
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'core' 'x86_64'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra b/testing2extra
deleted file mode 100755
index 9b62788..0000000
--- a/testing2extra
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'i686'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra-any b/testing2extra-any
deleted file mode 100755
index 5bbee58..0000000
--- a/testing2extra-any
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'any'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra64 b/testing2extra64
deleted file mode 100755
index 25d91f6..0000000
--- a/testing2extra64
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
-fi
-
-for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'x86_64'
-done
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2x b/testing2x
deleted file mode 100755
index 3a60da2..0000000
--- a/testing2x
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/bash
-
-. "$(dirname $0)/db-functions"
-. "$(dirname $0)/config"
-
-case "$0" in
- *64)
- _arch='x86_64'
- ;;
- *)
- _arch='i686'
- ;;
-esac
-WORKDIR="$TMPDIR/testing2x.$UID"
-
-cleanup() {
- trap '' 0 2
- rm -rf "${WORKDIR}"
- [ -n "$1" ] && exit $1
-}
-
-ctrl_c() {
- echo 'Interrupted' >&2
- cleanup 0
-}
-
-trap ctrl_c 2
-trap cleanup 0
-
-/bin/mkdir "${WORKDIR}"
-cd "${WORKDIR}"
-/usr/bin/svn checkout -N $SVNREPO checkout
-cd checkout
-
-for pkg in $*; do
- moved=0
- /usr/bin/svn up -q ${pkg}
- if [ -f "${pkg}/repos/testing-${_arch}/${BUILDSCRIPT}" ]; then
- for repo in core extra; do
- if [ -f "${pkg}/repos/${repo}-${_arch}/${BUILDSCRIPT}" ]; then
- echo "===> Moving package '${pkg}': testing-${_arch} -> ${repo}-${_arch}"
- $(dirname $0)/db-move "${pkg}" "testing" "${repo}" "${_arch}"
- moved=1
- break
- fi
- done
- if [ ${moved} -eq 0 ]; then
- echo "===> Warning: ${pkg} is only in testing-${_arch}, cannot determine where to move it"
- fi
- else
- echo "===> Warning: ${pkg} is not in testing-${_arch}"
- fi
-done
-
-cleanup
-
-# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2x64 b/testing2x64
deleted file mode 120000
index ff08aa7..0000000
--- a/testing2x64
+++ /dev/null
@@ -1 +0,0 @@
-testing2x
\ No newline at end of file
--
1.7.0.2
--
6
16
12 Mar '10
---
cron-jobs/adjust-permissions | 10 ++++----
cron-jobs/create-filelists | 24 ++++++++++----------
cron-jobs/devlist-mailer | 10 ++++----
cron-jobs/ftpdir-cleanup | 2 +-
cron-jobs/sourceballs | 16 +++++++-------
cron-jobs/sourceballs-cleanup | 6 ++--
db-community | 2 +-
db-community-testing | 2 +-
db-core | 2 +-
db-extra | 2 +-
db-functions | 20 +++++++++---------
db-move | 16 +++++++-------
db-remove | 16 +++++++-------
db-testing | 2 +-
db-update | 44 +++++++++++++++++++-------------------
misc-scripts/ftpdir-cleanup | 46 ++++++++++++++++++++--------------------
misc-scripts/make-sourceball | 8 +++---
testing2community | 2 +-
testing2community-any | 2 +-
testing2community64 | 2 +-
testing2core | 2 +-
testing2core-any | 2 +-
testing2core64 | 2 +-
testing2extra | 2 +-
testing2extra-any | 2 +-
testing2extra64 | 2 +-
testing2x | 6 ++--
27 files changed, 126 insertions(+), 126 deletions(-)
diff --git a/cron-jobs/adjust-permissions b/cron-jobs/adjust-permissions
index c3d71a3..6b201ca 100755
--- a/cron-jobs/adjust-permissions
+++ b/cron-jobs/adjust-permissions
@@ -12,15 +12,15 @@ fi
get_dir_owner() {
case $1 in
core)
- echo "ftp:ftp-arch" ;;
+ echo 'ftp:ftp-arch' ;;
extra)
- echo "ftp:ftp-extra" ;;
+ echo 'ftp:ftp-extra' ;;
testing)
- echo "ftp:ftp-extra" ;;
+ echo 'ftp:ftp-extra' ;;
community)
- echo "root:tusers" ;;
+ echo 'root:tusers' ;;
community-testing)
- echo "root:tusers" ;;
+ echo 'root:tusers' ;;
esac
}
diff --git a/cron-jobs/create-filelists b/cron-jobs/create-filelists
index 6bbb345..f53a65d 100755
--- a/cron-jobs/create-filelists
+++ b/cron-jobs/create-filelists
@@ -1,15 +1,15 @@
#!/bin/bash
-reposdir="/srv/ftp"
-targetdir="/srv/ftp"
-repos="core extra testing community community-testing"
-lock="/tmp/create-filelists.lock"
+reposdir='/srv/ftp'
+targetdir='/srv/ftp'
+repos='core extra testing community community-testing'
+lock='/tmp/create-filelists.lock'
. "$(dirname $0)/../db-functions"
. "$(dirname $0)/../config"
if [ -f "$lock" ]; then
- echo "Error: create-filelists already in progress."
+ echo 'Error: create-filelists already in progress.'
exit 1
fi
@@ -25,9 +25,9 @@ TMPDIR="$(mktemp -d /tmp/create-filelists.tmpdir.XXXXXX)" || exit 1
/usr/bin/renice +10 -p $$ > /dev/null
case "${DBEXT}" in
- *.gz) TAR_OPT="z" ;;
- *.bz2) TAR_OPT="j" ;;
- *.xz) TAR_OPT="J" ;;
+ *.gz) TAR_OPT='z' ;;
+ *.bz2) TAR_OPT='j' ;;
+ *.xz) TAR_OPT='J' ;;
*) echo "Unknown compression type for DBEXT=${DBEXT}" && exit 1 ;;
esac
@@ -41,7 +41,7 @@ for repo in $repos; do
cd "$reposdir"
repodir="${repo}/os/${arch}"
- cached="no"
+ cached='no'
# extract package db archive
if [ -f "${targetdir}/${repodir}/${REPO_DB_FILE}" ]; then
@@ -58,7 +58,7 @@ for repo in $repos; do
mkdir -p "${CACHEDIR}/${repodir}"
# echo "extracting $FILES_DB_FILE"
bsdtar -xf "${targetdir}/${repodir}/${FILES_DB_FILE}" -C "${CACHEDIR}/${repodir}"
- cached="yes"
+ cached='yes'
fi
# create file lists
@@ -77,12 +77,12 @@ for repo in $repos; do
filename=$(grep -A1 '^%FILENAME%$' "${dbpkgdir}/desc" | tail -n1)
echo '%FILES%' > "${tmppkgdir}/files"
bsdtar --exclude=.* -tf "$repodir/$filename" >> "${tmppkgdir}/files"
- cached="no"
+ cached='no'
fi
done
# create new file archive
- if [ "$cached" == "no" ]; then
+ if [ "$cached" == 'no' ]; then
# at least one package has changed, so let's rebuild the archive
# echo "creating ${FILES_DB_FILE}/${arch}"
pkgdir="${targetdir}/${repodir}"
diff --git a/cron-jobs/devlist-mailer b/cron-jobs/devlist-mailer
index 10f8662..3d24336 100755
--- a/cron-jobs/devlist-mailer
+++ b/cron-jobs/devlist-mailer
@@ -2,13 +2,13 @@
#Dummy helper to send email to arch-dev
# It does nothing if no output
-LIST="arch-dev-public(a)archlinux.org"
-#LIST="aaronmgriffin(a)gmail.com"
-FROM="repomaint(a)archlinux.org"
+LIST='arch-dev-public(a)archlinux.org'
+#LIST='aaronmgriffin(a)gmail.com'
+FROM='repomaint(a)archlinux.org'
-SUBJECT="Repository Maintenance $(date +"%d-%m-%Y")"
+SUBJECT="Repository Maintenance $(date +'%d-%m-%Y')"
if [ $# -ge 1 ]; then
- SUBJECT="$1 $(date +"%d-%m-%Y")"
+ SUBJECT="$1 $(date +'%d-%m-%Y')"
fi
if [ $# -ge 2 ]; then
diff --git a/cron-jobs/ftpdir-cleanup b/cron-jobs/ftpdir-cleanup
index 53fcb72..8fa8cbc 100755
--- a/cron-jobs/ftpdir-cleanup
+++ b/cron-jobs/ftpdir-cleanup
@@ -5,7 +5,7 @@
repos="$(get_repos_for_host)"
-LOCKFILE="/tmp/.ftpdircleanup.lock"
+LOCKFILE='/tmp/.ftpdircleanup.lock'
cleanup () {
rm -f "$LOCKFILE"
diff --git a/cron-jobs/sourceballs b/cron-jobs/sourceballs
index fc27114..836fc48 100755
--- a/cron-jobs/sourceballs
+++ b/cron-jobs/sourceballs
@@ -1,13 +1,13 @@
#!/bin/bash
-ftpbase="/srv/ftp"
-srcbase="/srv/ftp/sources"
-repos="core extra testing" #community"
+ftpbase='/srv/ftp'
+srcbase='/srv/ftp/sources'
+repos='core extra testing' #community'
. "$(dirname $0)/../db-functions"
. "$(dirname $0)/../config"
-LOCKFILE="/tmp/.sourceball.lock"
+LOCKFILE='/tmp/.sourceball.lock'
cleanup () {
rm -f "$LOCKFILE"
@@ -34,10 +34,10 @@ set_umask
dirname="$(/bin/readlink -f $(/usr/bin/dirname $0))"
-FAILED_PKGS=""
+FAILED_PKGS=''
[ -e "$srcbase/errors.txt" ] && /bin/mv "$srcbase/errors.txt" "$srcbase/errors.txt.old"
-echo "Errors occured during run:" > "$srcbase/errors.txt"
+echo 'Errors occured during run:' > "$srcbase/errors.txt"
for repo in $repos; do
for arch in ${ARCHES[@]} any; do
@@ -68,7 +68,7 @@ for repo in $repos; do
#Use this file to 'whitelist' or force building some sourceballs,
# skipping the license check
- force=""
+ force=''
if grep "^$pkgbase\$" "$dirname/sourceballs.force" >/dev/null 2>&1; then
force="-f"
fi
@@ -85,7 +85,7 @@ done
if [ -n "$FAILED_PKGS" ]; then
[ -e "$srcbase/failed.txt" ] && /bin/mv "$srcbase/failed.txt" "$srcbase/failed.txt.old"
- echo "The following package bases failed:" > "$srcbase/failed.txt"
+ echo 'The following package bases failed:' > "$srcbase/failed.txt"
echo -e $FAILED_PKGS | sed "s| |\n|g" | sort -u >> "$srcbase/failed.txt"
fi
diff --git a/cron-jobs/sourceballs-cleanup b/cron-jobs/sourceballs-cleanup
index 7c2e1ce..17a27b7 100755
--- a/cron-jobs/sourceballs-cleanup
+++ b/cron-jobs/sourceballs-cleanup
@@ -6,7 +6,7 @@
srcpath="$FTP_BASE/sources/"
logfile="$srcpath/cleanup.txt"
-LOCKFILE="/tmp/.sourceball-cleanup.lock"
+LOCKFILE='/tmp/.sourceball-cleanup.lock'
WORKDIR="/tmp/sourceball-cleanup.$packagename.$UID"
cleanup () {
@@ -17,7 +17,7 @@ cleanup () {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -40,7 +40,7 @@ set_umask
cd "$WORKDIR"
[ -e "$logfile" ] && /bin/mv "$logfile" "$logfile.old"
-echo "Orphaned sourceballs:" > "$logfile"
+echo 'Orphaned sourceballs:' > "$logfile"
for sourceball in "$srcpath"/*$SRCEXT; do
packagename=$(basename $sourceball)
diff --git a/db-community b/db-community
index 44767a5..b5c5b6a 100755
--- a/db-community
+++ b/db-community
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "community"
+$(dirname $0)/db-update 'community'
diff --git a/db-community-testing b/db-community-testing
index eb4cf67..68a31a5 100755
--- a/db-community-testing
+++ b/db-community-testing
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "community-testing"
+$(dirname $0)/db-update 'community-testing'
diff --git a/db-core b/db-core
index eaa5032..91fca84 100755
--- a/db-core
+++ b/db-core
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "core"
+$(dirname $0)/db-update 'core'
diff --git a/db-extra b/db-extra
index d14b50e..bc5360f 100755
--- a/db-extra
+++ b/db-extra
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "extra"
+$(dirname $0)/db-update 'extra'
diff --git a/db-functions b/db-functions
index 77af195..c9aed8a 100644
--- a/db-functions
+++ b/db-functions
@@ -1,13 +1,13 @@
#!/bin/bash
# Random integrity things
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
# Useful functions
-UMASK=""
+UMASK=''
set_umask () {
- [ "$UMASK" == "" ] && UMASK="$(umask)"
+ [ "$UMASK" == '' ] && UMASK="$(umask)"
umask 002
}
@@ -69,7 +69,7 @@ _grep_pkginfo() {
getpkgbase() {
local _base
- _base="$(_grep_pkginfo "$1" "^pkgbase")"
+ _base="$(_grep_pkginfo "$1" '^pkgbase')"
if [ -z "$_base" ]; then
getpkgname "$1"
fi
@@ -81,7 +81,7 @@ getpkgbase() {
getpkgname() {
local _name
- _name="$(_grep_pkginfo "$1" "^pkgname")"
+ _name="$(_grep_pkginfo "$1" '^pkgname')"
if [ -z "$_name" ]; then
echo "ERROR: Package '$1' has no pkgname in the PKGINFO. Fail!" >&2
exit 1
@@ -94,7 +94,7 @@ getpkgname() {
getpkgver() {
local _ver
- _ver="$(_grep_pkginfo "$1" "^pkgver")"
+ _ver="$(_grep_pkginfo "$1" '^pkgver')"
if [ -z "$_ver" ]; then
echo "ERROR: Package '$1' has no pkgver in the PKGINFO. Fail!" >&2
exit 1
@@ -133,7 +133,7 @@ getpkgfiles() {
check_pkg_arch () { #check_pkg_arch pkgfile arch
local _arch
- _arch="$(_grep_pkginfo "$1" "^arch")"
+ _arch="$(_grep_pkginfo "$1" '^arch')"
if [ -z "$_arch" ]; then
echo "ERROR: Package '$1' has no arch in the PKGINFO. Fail!" >&2
@@ -147,10 +147,10 @@ check_pkg_arch () { #check_pkg_arch pkgfile arch
}
get_repos_for_host() {
- if [ "$(hostname)" = "sigurd" ]; then
- echo "community community-testing"
+ if [ "$(hostname)" = 'sigurd' ]; then
+ echo 'community community-testing'
else
- echo "core extra testing"
+ echo 'core extra testing'
fi
}
diff --git a/db-move b/db-move
index 9e57046..d385f12 100755
--- a/db-move
+++ b/db-move
@@ -18,7 +18,7 @@ ftppath_to="$FTP_BASE/$repoto/os/"
svnrepo_from="$repofrom-$_arch"
svnrepo_to="$repoto-$_arch"
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
WORKDIR="$TMPDIR/db-move.$svnrepo_from.$svnrepo_to.$UID"
@@ -32,7 +32,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -63,22 +63,22 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
done
if [ -d "$packagebase/repos/$svnrepo_to" ]; then
- echo " Removing existing package from subversion"
+ echo ' Removing existing package from subversion'
/usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
/usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
fi
- echo " Moving svn entries"
+ echo ' Moving svn entries'
/usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
/usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
- echo " Moving package file and updating DBs"
+ echo ' Moving package file and updating DBs'
cd "$WORKDIR"
[ -d build/ ] || mkdir build
cd build/
- if [ "${_arch}" == "any" ]; then
- arches="i686 x86_64"
+ if [ "${_arch}" == 'any' ]; then
+ arches='i686 x86_64'
else
arches="${_arch}"
fi
@@ -90,7 +90,7 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
/usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
#use '*' to move the old DB too
mv $repofrom$DBEXT* "$ftppath_from/$architecture"
- echo " Package files will be cleaned up automatically"
+ echo ' Package files will be cleaned up automatically'
fi
if [ -f "$ftppath_to/$architecture/$repoto$DBEXT" ]; then
diff --git a/db-remove b/db-remove
index 8307d4c..6ad4791 100755
--- a/db-remove
+++ b/db-remove
@@ -15,7 +15,7 @@ _arch="$3"
ftppath="$FTP_BASE/$reponame/os"
svnrepo="$reponame-$_arch"
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
WORKDIR="$TMPDIR/db-remove.$svnrepo.$UID"
@@ -28,7 +28,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -53,22 +53,22 @@ cd checkout
/usr/bin/svn up -q $packagebase
if [ -d "$packagebase/repos/$svnrepo" ]; then
- echo " Removing from subversion"
+ echo ' Removing from subversion'
. "$packagebase/repos/$svnrepo/$BUILDSCRIPT"
/usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo"
/usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un)"
else
echo " Warning: $packagebase not found in $svnrepo"
- echo " Removing split packages is not supported"
- echo " You need to specify each sub package instead"
+ echo ' Removing split packages is not supported'
+ echo ' You need to specify each sub package instead'
pkgname=$packagebase
fi
cd "$WORKDIR"
[ -d build/ ] || mkdir build
-if [ "$_arch" == "any" ]; then
- arches="i686 x86_64"
+if [ "$_arch" == 'any' ]; then
+ arches='i686 x86_64'
else
arches="$_arch"
fi
@@ -88,7 +88,7 @@ for architecture in $arches; do
/bin/mv "$reponame$DBEXT" "$ftppath/$architecture"
- echo "Package files will be cleaned up automatically"
+ echo 'Package files will be cleaned up automatically'
cd ..
done
cleanup
diff --git a/db-testing b/db-testing
index 579ae37..4c88958 100755
--- a/db-testing
+++ b/db-testing
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "testing"
+$(dirname $0)/db-update 'testing'
diff --git a/db-update b/db-update
index 7bd1d64..be16499 100755
--- a/db-update
+++ b/db-update
@@ -9,7 +9,7 @@ fi
. "$(dirname $0)/config"
reponame="$1"
-current_arch=""
+current_arch=''
# ensure we should be playing with this DB on this server
repos="$(get_repos_for_host)"
@@ -25,8 +25,8 @@ if [ $found -ne 1 ]; then
fi
WORKDIR="$TMPDIR/db-update.$reponame.$UID"
-ADDPKGS=""
-ANYPKGS=""
+ADDPKGS=''
+ANYPKGS=''
stagedir="$STAGING/$reponame"
if [ ! -d $stagedir ]; then
@@ -35,22 +35,22 @@ if [ ! -d $stagedir ]; then
fi
if [ -d "${stagedir}64" ]; then
- echo "--------------------------------------------------"
- echo "It looks like you have an old staging dir"
- echo "Packages are now differentiated by the arch in the filename."
+ echo '--------------------------------------------------'
+ echo 'It looks like you have an old staging dir'
+ echo 'Packages are now differentiated by the arch in the filename.'
echo "Please delete '${stagedir}64'"
- echo "--------------------------------------------------"
+ echo '--------------------------------------------------'
/bin/mv "${stagedir}64/add/"* "$stagedir/add/"
/bin/mv "${stagedir}64/del/"* "$stagedir/del/"
fi
if [ -d "${stagedir}/add" ]; then
- echo "--------------------------------------------------"
- echo "It looks like you have an old staging dir"
- echo "The 'add' and 'del' dirs are no longer used."
- echo "Please delete staging/<reponame>/{add,del}"
- echo " and ensure you are using the newest devtools"
- echo "--------------------------------------------------"
+ echo '--------------------------------------------------'
+ echo 'It looks like you have an old staging dir'
+ echo 'The 'add' and 'del' dirs are no longer used.'
+ echo 'Please delete staging/<reponame>/{add,del}'
+ echo ' and ensure you are using the newest devtools'
+ echo '--------------------------------------------------'
/bin/mv "${stagedir}/add/"* "$stagedir/"
fi
@@ -62,7 +62,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 1
}
@@ -101,7 +101,7 @@ if [ -n "$ANYPKGS" ]; then
/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
- to_add_any=""
+ to_add_any=''
for pkg in $ANYPKGS; do
_pkgfile=$(basename $pkg)
_pkgname="$(getpkgname $pkg)"
@@ -135,7 +135,7 @@ for current_arch in ${ARCHES[@]}; do
if [ ! -d "$ftppath" ]; then
echo "FTP path for this repo ($reponame) is missing"
echo " -> $ftppath"
- echo "Please contact a system administrator"
+ echo 'Please contact a system administrator'
exit 1
fi
@@ -153,7 +153,7 @@ for current_arch in ${ARCHES[@]}; do
echo "Updating DB for $svnrepo"
- to_add=""
+ to_add=''
if [ -d "$stagedir" ]; then
ADDPKGS="$(getpkgfiles $stagedir/*-${current_arch}$PKGEXT 2>/dev/null)"
fi
@@ -202,16 +202,16 @@ for current_arch in ${ARCHES[@]}; do
cd "$WORKDIR/build/"
for f in $to_add $to_add_any; do /bin/cp "$f" .; done
- pkgs=""
+ pkgs=''
for pkg in $to_add $to_add_any; do pkgs="$pkgs $(basename $pkg)"; done
/usr/bin/repo-add -q "$reponame$DBEXT" $pkgs
else
rm -f "build/$reponame$DBEXT"
- echo "Errors found when adding packages"
+ echo 'Errors found when adding packages'
fi
else
- echo "No packages to add"
+ echo 'No packages to add'
fi
# if non empty, move all build dirs
@@ -240,11 +240,11 @@ for current_arch in ${ARCHES[@]}; do
die "failed to move repository $reponame-$current_arch".
fi
else
- echo "Nothing to copy, no work done"
+ echo 'Nothing to copy, no work done'
fi
if [ -n "$to_add" ]; then
- echo "Cleaning staging dir"
+ echo 'Cleaning staging dir'
/bin/rm $to_add
fi
diff --git a/misc-scripts/ftpdir-cleanup b/misc-scripts/ftpdir-cleanup
index 7fedd76..da2f95b 100755
--- a/misc-scripts/ftpdir-cleanup
+++ b/misc-scripts/ftpdir-cleanup
@@ -23,10 +23,10 @@ for arch in ${ARCHES[@]}; do
TMPDIR=$(mktemp -d /tmp/cleanup-XXXXXX) || exit 1
ftppath="$ftppath_base/$arch"
- MISSINGFILES=""
- DELETEFILES=""
- DELETESYMLINKS=""
- EXTRAFILES=""
+ MISSINGFILES=''
+ DELETEFILES=''
+ DELETESYMLINKS=''
+ EXTRAFILES=''
if [ ! -d "$ftppath" ]; then
echo "FTP path '$ftppath' does not exist"
@@ -39,14 +39,14 @@ for arch in ${ARCHES[@]}; do
fi
if [ ! -f "$ftppath/$reponame$DBEXT" ]; then
- echo ""
+ echo ''
echo "ERROR: The file \"$ftppath/$reponame$DBEXT\" could not be found, aborting."
- echo ""
+ echo ''
exit 1
fi
if ! bsdtar xf "$ftppath/$reponame$DBEXT"; then
- echo ""
+ echo ''
echo "ERROR: Command failed: bsdtar xf \"$ftppath/$reponame$DBEXT\""
exit 1
fi
@@ -92,7 +92,7 @@ for arch in ${ARCHES[@]}; do
# Do a quick check to see if a missing ARCHINDEPFILE is in the any dir
# If it is, and the file is MISSING, restore it
missfiles="$MISSINGFILES"
- MISSINGFILES=""
+ MISSINGFILES=''
for mf in $missfiles; do
if [ -e "${ftppath_base}/any/${mf}" ]; then
echo "Restoring missing 'any' symlink: ${mf}"
@@ -112,33 +112,33 @@ for arch in ${ARCHES[@]}; do
echo "Scan complete for $reponame ($arch) at ${ftppath}"
if [ -n "$DELETEFILES" ]; then
- echo " The following files are out of date"
+ echo ' The following files are out of date'
echo " They will be moved to '$dest'"
for f in $DELETEFILES; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$DELETESYMLINKS" ]; then
- echo " The following symlinks are out of date"
- echo " They will be deleted"
+ echo ' The following symlinks are out of date'
+ echo ' They will be deleted'
for f in $DELETESYMLINKS; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$MISSINGFILES" ]; then
- echo " The following files are missing in the repo"
+ echo ' The following files are missing in the repo'
for f in $MISSINGFILES; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$EXTRAFILES" ]; then
- echo " The following files are in the repo but not the db"
+ echo ' The following files are in the repo but not the db'
echo " They will be moved to '$dest'"
for f in $EXTRAFILES; do
echo " $f"
@@ -147,22 +147,22 @@ for arch in ${ARCHES[@]}; do
if [ -n "${DELETEFILES}" ]; then
${CLEANUP_DRYRUN} || mv ${DELETEFILES} "$dest"
- echo ""
+ echo ''
fi
if [ -n "${DELETESYMLINKS}" ]; then
${CLEANUP_DRYRUN} || rm -f ${DELETESYMLINKS}
- echo ""
+ echo ''
fi
if [ -n "${EXTRAFILES}" ]; then
${CLEANUP_DRYRUN} || mv ${EXTRAFILES} "$dest"
- echo ""
+ echo ''
fi
done
-ARCHINDEPFILES=""
+ARCHINDEPFILES=''
if [ -d "$ftppath_base/any" ]; then
cd "$ftppath_base/any"
@@ -184,8 +184,8 @@ if [ -d "$ftppath_base/any" ]; then
fi
if [ -n "$ARCHINDEPFILES" ]; then
- echo " The following architecture independent packages"
- echo " are not symlinked in the architecture repositories."
+ echo ' The following architecture independent packages'
+ echo ' are not symlinked in the architecture repositories.'
echo " They will be moved to '$dest'"
for f in $ARCHINDEPFILES; do
echo " $f"
@@ -195,7 +195,7 @@ fi
if [ -d "$ftppath_base/any" -a -n "${ARCHINDEPFILES}" ]; then
cd "$ftppath_base/any"
${CLEANUP_DRYRUN} || mv ${ARCHINDEPFILES} "$dest"
- echo ""
+ echo ''
fi
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball
index fca6ac4..9e62c06 100755
--- a/misc-scripts/make-sourceball
+++ b/misc-scripts/make-sourceball
@@ -2,7 +2,7 @@
if [ $# -ne 3 -a $# -ne 4 ]; then
echo "usage: $(basename $0) [-f] <packagename> <repo> <arch>"
- echo " -f Force building. Skip license checks"
+ echo ' -f Force building. Skip license checks'
exit 1
fi
@@ -20,7 +20,7 @@ reponame="$2"
_arch="$3"
srcpath="$FTP_BASE/sources/"
-logpath="/var/log/sourceballs/"
+logpath='/var/log/sourceballs/'
WORKDIR="/tmp/make-sourceball.$packagename.$UID"
@@ -31,7 +31,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -97,7 +97,7 @@ create_srcpackage() {
remove_old() {
if [ -d "$1" ]; then
pushd "$1" >/dev/null
- PKGVERS=""
+ PKGVERS=''
for repo in *; do
cd "$repo"
. "$BUILDSCRIPT"
diff --git a/testing2community b/testing2community
index b8de926..f87c927 100755
--- a/testing2community
+++ b/testing2community
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "i686"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'i686'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community-any b/testing2community-any
index 83153dc..c9540f7 100755
--- a/testing2community-any
+++ b/testing2community-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "any"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community64 b/testing2community64
index d0d6dd3..c808b3f 100755
--- a/testing2community64
+++ b/testing2community64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core b/testing2core
index 5f6088a..4c53d34 100755
--- a/testing2core
+++ b/testing2core
@@ -7,5 +7,5 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "i686"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'i686'
done
diff --git a/testing2core-any b/testing2core-any
index 4e362ad..56f0753 100755
--- a/testing2core-any
+++ b/testing2core-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "any"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core64 b/testing2core64
index f307413..c9420fe 100755
--- a/testing2core64
+++ b/testing2core64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra b/testing2extra
index 12795b4..9b62788 100755
--- a/testing2extra
+++ b/testing2extra
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "i686"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'i686'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra-any b/testing2extra-any
index 2455381..5bbee58 100755
--- a/testing2extra-any
+++ b/testing2extra-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "any"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra64 b/testing2extra64
index b555210..25d91f6 100755
--- a/testing2extra64
+++ b/testing2extra64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2x b/testing2x
index 7720033..3a60da2 100755
--- a/testing2x
+++ b/testing2x
@@ -5,10 +5,10 @@
case "$0" in
*64)
- _arch="x86_64"
+ _arch='x86_64'
;;
*)
- _arch="i686"
+ _arch='i686'
;;
esac
WORKDIR="$TMPDIR/testing2x.$UID"
@@ -20,7 +20,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
--
1.7.0.2
--
5
6
11 Mar '10
---
db-move | 142 +++++++++++++++++++++++++++++++++------------------------------
1 files changed, 74 insertions(+), 68 deletions(-)
diff --git a/db-move b/db-move
index d385f12..04ce7ca 100755
--- a/db-move
+++ b/db-move
@@ -8,10 +8,12 @@ fi
. "$(dirname $0)/db-functions"
. "$(dirname $0)/config"
-packagebase="$1"
-repofrom="$2"
-repoto="$3"
-_arch="$4"
+#Parse off args from the BACK of the list
+# this adds support for multiple package names
+args=($@)
+_arch="${args[${#args[@]}-1]}" && unset args[${#args[@]}-1]
+repoto="${args[${#args[@]}-1]}" && unset args[${#args[@]}-1]
+repofrom="${args[${#args[@]}-1]}" && unset args[${#args[@]}-1]
ftppath_from="$FTP_BASE/$repofrom/os/"
ftppath_to="$FTP_BASE/$repoto/os/"
@@ -41,85 +43,89 @@ die() {
cleanup 1
}
-trap ctrl_c 2
-trap cleanup 0
+for pkgbase in ${args[@]}; do
+ echo "==> Moving package '$pkgbase'"
-repo_lock $repoto $_arch
-repo_lock $repofrom $_arch
+ trap ctrl_c 2
+ trap cleanup 0
-/bin/mkdir -p "$WORKDIR"
+ repo_lock $repoto $_arch
+ repo_lock $repofrom $_arch
-cd "$WORKDIR"
-/usr/bin/svn checkout -N $SVNREPO checkout
-cd checkout
+ /bin/mkdir -p "$WORKDIR"
-/usr/bin/svn up -q $packagebase
-if [ -d "$packagebase/repos/$svnrepo_from" ]; then
- . "$packagebase/repos/$svnrepo_from/$BUILDSCRIPT"
+ cd "$WORKDIR"
+ /usr/bin/svn checkout -N $SVNREPO checkout
+ cd checkout
- for i in ${pkgname[@]}; do
- _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
- getpkgfile "$ftppath_from/${_arch}/"$_pkgfile >/dev/null
- done
+ /usr/bin/svn up -q $packagebase
+ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
+ . "$packagebase/repos/$svnrepo_from/$BUILDSCRIPT"
- if [ -d "$packagebase/repos/$svnrepo_to" ]; then
- echo ' Removing existing package from subversion'
- /usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
- /usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
- fi
+ for i in ${pkgname[@]}; do
+ _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
+ getpkgfile "$ftppath_from/${_arch}/"$_pkgfile >/dev/null
+ done
- echo ' Moving svn entries'
- /usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
- /usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
+ if [ -d "$packagebase/repos/$svnrepo_to" ]; then
+ echo ' Removing existing package from subversion'
+ /usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
+ /usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
+ fi
- echo ' Moving package file and updating DBs'
- cd "$WORKDIR"
- [ -d build/ ] || mkdir build
- cd build/
+ echo ' Moving svn entries'
+ /usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
+ /usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
- if [ "${_arch}" == 'any' ]; then
- arches='i686 x86_64'
- else
- arches="${_arch}"
- fi
+ echo ' Moving package file and updating DBs'
+ cd "$WORKDIR"
+ [ -d build/ ] || mkdir build
+ cd build/
- for architecture in $arches; do
- # copy the db file into our working area
- if [ -f "$ftppath_from/$architecture/$repofrom$DBEXT" ]; then
- /bin/cp "$ftppath_from/$architecture/$repofrom$DBEXT" .
- /usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
- #use '*' to move the old DB too
- mv $repofrom$DBEXT* "$ftppath_from/$architecture"
- echo ' Package files will be cleaned up automatically'
+ if [ "${_arch}" == 'any' ]; then
+ arches='i686 x86_64'
+ else
+ arches="${_arch}"
fi
- if [ -f "$ftppath_to/$architecture/$repoto$DBEXT" ]; then
- /bin/cp "$ftppath_to/$architecture/$repoto$DBEXT" .
- fi
+ for architecture in $arches; do
+ # copy the db file into our working area
+ if [ -f "$ftppath_from/$architecture/$repofrom$DBEXT" ]; then
+ /bin/cp "$ftppath_from/$architecture/$repofrom$DBEXT" .
+ /usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
+ #use '*' to move the old DB too
+ mv $repofrom$DBEXT* "$ftppath_from/$architecture"
+ echo ' Package files will be cleaned up automatically'
+ fi
- for i in ${pkgname[@]}; do
- _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
- _cpkgfile=$(getpkgfile "$ftppath_from/$architecture/"$_pkgfile)
- [ $? -gt 0 ] && die
- /bin/cp $_cpkgfile .
- /usr/bin/repo-add -q "$repoto$DBEXT" $_pkgfile || die "Error in repo-add $_pkgfile"
- done
- #use '*' to move the old DB too
- mv $repoto$DBEXT* $ftppath_to/$architecture
- for i in ${pkgname[@]}; do
- _pkgfile=$(getpkgfile "$i-$pkgver-$pkgrel-$_arch"$PKGEXT)
- [ $? -gt 0 ] && die
- if [ "${_arch}" == "any" ]; then
- mv ${_pkgfile} $ftppath_to/any
- ln -s ../any/${_pkgfile} $ftppath_to/$architecture/
- else
- mv ${_pkgfile} $ftppath_to/$architecture
+ if [ -f "$ftppath_to/$architecture/$repoto$DBEXT" ]; then
+ /bin/cp "$ftppath_to/$architecture/$repoto$DBEXT" .
fi
+
+ for i in ${pkgname[@]}; do
+ _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
+ _cpkgfile=$(getpkgfile "$ftppath_from/$architecture/"$_pkgfile)
+ [ $? -gt 0 ] && die
+ /bin/cp $_cpkgfile .
+ /usr/bin/repo-add -q "$repoto$DBEXT" $_pkgfile || die "Error in repo-add $_pkgfile"
+ done
+ #use '*' to move the old DB too
+ mv $repoto$DBEXT* $ftppath_to/$architecture
+ for i in ${pkgname[@]}; do
+ _pkgfile=$(getpkgfile "$i-$pkgver-$pkgrel-$_arch"$PKGEXT)
+ [ $? -gt 0 ] && die
+ if [ "${_arch}" == "any" ]; then
+ mv ${_pkgfile} $ftppath_to/any
+ ln -s ../any/${_pkgfile} $ftppath_to/$architecture/
+ else
+ mv ${_pkgfile} $ftppath_to/$architecture
+ fi
+ done
done
- done
-else
- die "Error: $packagebase is not in repo $repofrom"
-fi
+ else
+ die "Error: $packagebase is not in repo $repofrom"
+ fi
+done
cleanup
--
1.7.0.2
3
2
---
config | 1 -
misc-scripts/ftpdir-cleanup | 2 +-
2 files changed, 1 insertions(+), 2 deletions(-)
diff --git a/config b/config
index a563f35..57ae64b 100644
--- a/config
+++ b/config
@@ -1,6 +1,5 @@
FTP_BASE="/srv/ftp"
-FTP_OS_SUFFIX="os"
SVNREPO="file:///srv/svn-packages"
diff --git a/misc-scripts/ftpdir-cleanup b/misc-scripts/ftpdir-cleanup
index da2f95b..d35b511 100755
--- a/misc-scripts/ftpdir-cleanup
+++ b/misc-scripts/ftpdir-cleanup
@@ -15,7 +15,7 @@ dest=$2
${CLEANUP_DRYRUN} && echo 'dry run mode is active'
-ftppath_base="$FTP_BASE/$reponame/$FTP_OS_SUFFIX"
+ftppath_base="$FTP_BASE/$reponame/os"
for arch in ${ARCHES[@]}; do
--
1.7.0.2
--
3
3
[arch-dev-public] [PATCH 7/7] Change ftpdir-cleanup scripts for package pooling
by Ghost1227 11 Mar '10
by Ghost1227 11 Mar '10
11 Mar '10
---
cron-jobs/ftpdir-cleanup | 33 +++++++++++++++++++++++++++++++++
misc-scripts/ftpdir-cleanup | 12 ++++--------
2 files changed, 37 insertions(+), 8 deletions(-)
diff --git a/cron-jobs/ftpdir-cleanup b/cron-jobs/ftpdir-cleanup
index 8fa8cbc..c21c9d3 100755
--- a/cron-jobs/ftpdir-cleanup
+++ b/cron-jobs/ftpdir-cleanup
@@ -34,6 +34,39 @@ for repo in $repos; do
$(dirname $0)/../misc-scripts/ftpdir-cleanup $repo $CLEANUP_DESTDIR
done
+to_cleanup=''
+for _arch in ${ARCHES[@]}; do
+ poolpath="$FTP_BASE/packages/os/$_arch/"
+ cd $poolpath
+ for pkg in *$PKGEXT; do
+ [ -f "$pkg" ] || continue # in case we get a file named "*.pkg.tar.gz"
+ LINKS="$(/bin/ls $FTP_BASE/*/os/$_arch/$pkg 2>/dev/null)"
+ if [ -n "$LINKS" ]; then
+ found=0
+ for lnk in $LINKS; do
+ if [ -h "$lnk" ]; then
+ found=1
+ break
+ fi
+ done
+ # No links found, clean it up
+ if [ $found -eq 0 ]; then
+ to_cleanup="$to_cleanup $poolpath/$pkg"
+ fi
+ fi
+ done
+done
+
+if [ -n "$to_cleanup" ]; then
+ echo ' The following packages are no longer in any repo'
+ echo " They will be moved to $CLEANUP_DESTDIR"
+ for f in $to_cleanup; do
+ echo " $(basename "$f")"
+ done
+ echo ''
+ mv "$f" "$CLEANUP_DESTDIR"
+fi
+
cleanup
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/misc-scripts/ftpdir-cleanup b/misc-scripts/ftpdir-cleanup
index d35b511..109b4c8 100755
--- a/misc-scripts/ftpdir-cleanup
+++ b/misc-scripts/ftpdir-cleanup
@@ -1,12 +1,11 @@
#!/bin/bash
if [ $# -ne 2 ]; then
- echo "usage: $(basename $0) <reponame> <dest-dir>"
+ echo "usage: $(basename $0) <reponame>"
exit 1
fi
reponame=$1
-dest=$2
############################################################
@@ -113,7 +112,6 @@ for arch in ${ARCHES[@]}; do
if [ -n "$DELETEFILES" ]; then
echo ' The following files are out of date'
- echo " They will be moved to '$dest'"
for f in $DELETEFILES; do
echo " $f"
done
@@ -139,14 +137,13 @@ for arch in ${ARCHES[@]}; do
if [ -n "$EXTRAFILES" ]; then
echo ' The following files are in the repo but not the db'
- echo " They will be moved to '$dest'"
for f in $EXTRAFILES; do
echo " $f"
done
fi
if [ -n "${DELETEFILES}" ]; then
- ${CLEANUP_DRYRUN} || mv ${DELETEFILES} "$dest"
+ ${CLEANUP_DRYRUN} || rm -f ${DELETEFILES}
echo ''
fi
@@ -156,7 +153,7 @@ for arch in ${ARCHES[@]}; do
fi
if [ -n "${EXTRAFILES}" ]; then
- ${CLEANUP_DRYRUN} || mv ${EXTRAFILES} "$dest"
+ ${CLEANUP_DRYRUN} || rm -f ${EXTRAFILES}
echo ''
fi
@@ -186,7 +183,6 @@ fi
if [ -n "$ARCHINDEPFILES" ]; then
echo ' The following architecture independent packages'
echo ' are not symlinked in the architecture repositories.'
- echo " They will be moved to '$dest'"
for f in $ARCHINDEPFILES; do
echo " $f"
done
@@ -194,7 +190,7 @@ fi
if [ -d "$ftppath_base/any" -a -n "${ARCHINDEPFILES}" ]; then
cd "$ftppath_base/any"
- ${CLEANUP_DRYRUN} || mv ${ARCHINDEPFILES} "$dest"
+ ${CLEANUP_DRYRUN} || rm -f ${ARCHINDEPFILES}
echo ''
fi
--
1.7.0.2
2
1
[arch-dev-public] [PATCH 5/7] db-update: Use a master package pool and symlinks
by Ghost1227 11 Mar '10
by Ghost1227 11 Mar '10
11 Mar '10
---
db-update | 26 +++++++++++++++++++-------
1 files changed, 19 insertions(+), 7 deletions(-)
diff --git a/db-update b/db-update
index be16499..572e44a 100755
--- a/db-update
+++ b/db-update
@@ -131,6 +131,11 @@ for current_arch in ${ARCHES[@]}; do
ftppath="$FTP_BASE/$reponame/os/$current_arch"
ftppath_any="$FTP_BASE/$reponame/os/any"
+ poolpath="$FTP_BASE/packages/os/$current_arch"
+ poolpath_any="$FTP_BASE/packages/os/any"
+ # The following is used to create relative symlinks
+ poolrel="../../../packages/os/$current_arch"
+ poolrel_any='../../../packages/os/any'
if [ ! -d "$ftppath" ]; then
echo "FTP path for this repo ($reponame) is missing"
@@ -219,20 +224,27 @@ for current_arch in ${ARCHES[@]}; do
if [ $(getpkgfiles "$WORKDIR/build/"*-$current_arch$PKGEXT 2>/dev/null | wc -l) != 0 ]; then
echo "Copying new files to '$ftppath'"
for f in "$WORKDIR/build/"*-$current_arch$PKGEXT; do
- if ! /bin/cp "$f" "$ftppath/"; then
- die "error: failure while copying files to $ftppath"
+ if ! /bin/cp "$f" "$poolpath/"; then
+ die "error: failure while copying files to $poolpath"
+ fi
+ fname="$(basename $f)"
+ if ! ln -s "$poolrel/$fname" "$ftppath/$fname"; then
+ die "error: failure symlinking $fname to $ftppath"
fi
done
fi
if [ $(getpkgfiles "$WORKDIR/build/"*-any$PKGEXT 2>/dev/null | wc -l) != 0 ]; then
echo "Copying new files to '$ftppath_any' and symlinking"
for f in "$WORKDIR/build/"*-any$PKGEXT; do
- if ! /bin/cp "$f" "$ftppath_any"; then
- die "error: failure while copying files to $ftppath_any"
+ if ! /bin/cp "$f" "$poolpath_any"; then
+ die "error: failure while copying files to $poolpath_any"
+ fi
+ fname="$(basename $f)"
+ if ! ln -s "$poolrel_any/$fname" "$ftppath_any/$fname"; then
+ die "error: failure symlinking $fname to $ftppath_any"
fi
- bf=$(basename $f)
- if ! ln -s "../any/$bf" "$ftppath/$bf"; then
- die "error: failed to make link for $bf."
+ if ! ln -s "$poolrel_any/$fname" "$ftppath/$fname"; then
+ die "error: failed symlinking $fname to $ftppath"
fi
done
fi
--
1.7.0.2
--
2
1
Re: [arch-dev-public] [arch-general] Fwd: FS#17503: [unzip] zsh completion missing for unzip patches
by Thayer Williams 11 Mar '10
by Thayer Williams 11 Mar '10
11 Mar '10
On Fri, Feb 26, 2010 at 12:34 PM, Xavier Chantry
<chantry.xavier(a)gmail.com> wrote:
> On Fri, Feb 26, 2010 at 8:20 PM, Thayer Williams <thayerw(a)gmail.com> wrote:
>>
>> Bumping this for feedback. Â 7z correctly unzips localized win32 zip
>> files, but bsdtar/unzip cannot. Â Is that good enough to remove the
>> conflicting win32 patches from unzip?
>>
>
> Links to feature request for adding support to bsdtar / unzip would be good.
> If I understand correctly, there should already be some for unzip.
> And what about bsdtar ?
Sorry Xavier, all of that info was in my original email, included
below for reference. The patch we currently use for unzip has been
rejected more than once upstream and it is conflicting with zsh
autocompletion. bsdtar apparently doesn't support localized win32 zip
files either, but p7zip does.
If the bsdtar maintainer wants to take it upstream that's fine, but in
the meantime I'd like to move forward with the unzip fix unless we
have a reason not to.
On Tue, Jan 19, 2010 at 12:06 PM, Thayer Williams <thayerw(a)gmail.com> wrote:
>
> Hoping for some feedback here from more experienced devs on this one:
>
> At some point we began patching unzip with additional flags, allowing it to
> properly extract UTF-encoded zip files made on the win32 platform. Apparently
> this has broken zsh autocompletion features. Similar unzip patches have been
> submitted upstream and all have been rejected. Upstream has considered adding
> proper support, but has stopped short of committing to it.
>
> The question is do we keep the patch and make this a zsh issue, or do we
> remove the patch, fixing zsh in the process and screwing some win32 zip files?
>
> More info:
>
> http://bugs.archlinux.org/task/17503
> http://bugs.archlinux.org/task/15256
>
>
3
3
11 Mar '10
---
The first (and longest) in the seriese of patches. This patch cleans up the
spacing and indentation in the dbscripts to make them more readable and
make merging the rest of the changes made possible. This patchset merges
Aaron's dbscripts working branch with the main master branch.
cron-jobs/adjust-permissions | 34 +++--
cron-jobs/create-filelists | 122 ++++++++--------
cron-jobs/devlist-mailer | 4 +-
cron-jobs/ftpdir-cleanup | 8 +-
cron-jobs/integrity-check | 14 +-
cron-jobs/sourceballs | 96 ++++++------
cron-jobs/sourceballs-cleanup | 46 +++---
db-functions | 52 ++++----
db-move | 86 ++++++-----
db-remove | 2 +-
db-update | 2 +-
misc-scripts/ftpdir-cleanup | 332 +++++++++++++++++++++--------------------
misc-scripts/make-sourceball | 180 +++++++++++-----------
testing2community | 10 +-
testing2community-any | 10 +-
testing2community64 | 10 +-
testing2core | 8 +-
testing2core-any | 10 +-
testing2core64 | 10 +-
testing2extra | 10 +-
testing2extra-any | 10 +-
testing2extra64 | 10 +-
testing2x | 58 ++++----
23 files changed, 579 insertions(+), 545 deletions(-)
diff --git a/cron-jobs/adjust-permissions b/cron-jobs/adjust-permissions
index 0f87075..c3d71a3 100755
--- a/cron-jobs/adjust-permissions
+++ b/cron-jobs/adjust-permissions
@@ -1,7 +1,7 @@
#!/bin/bash
if [ -f /tmp/.ftpmaint.lck ]; then
- exit 0
+ exit 0
fi
/bin/touch /tmp/.ftpmaint.lck
@@ -10,18 +10,18 @@ fi
. "$(dirname $0)/../config"
get_dir_owner() {
- case $1 in
- core)
- echo "ftp:ftp-arch" ;;
- extra)
- echo "ftp:ftp-extra" ;;
- testing)
- echo "ftp:ftp-extra" ;;
- community)
- echo "root:tusers" ;;
- community-testing)
- echo "root:tusers" ;;
- esac
+ case $1 in
+ core)
+ echo "ftp:ftp-arch" ;;
+ extra)
+ echo "ftp:ftp-extra" ;;
+ testing)
+ echo "ftp:ftp-extra" ;;
+ community)
+ echo "root:tusers" ;;
+ community-testing)
+ echo "root:tusers" ;;
+ esac
}
#adjust the nice level to run at a lower priority
@@ -29,11 +29,13 @@ get_dir_owner() {
cd /srv/ftp
for d in $(get_repos_for_host); do
- owner="$(get_dir_owner $d)"
- /bin/chown -R $owner $d/os/{any,i686,x86_64}
- /bin/chmod -R g+w $d/os/{any,i686,x86_64}
+ owner="$(get_dir_owner $d)"
+ /bin/chown -R $owner $d/os/{any,i686,x86_64}
+ /bin/chmod -R g+w $d/os/{any,i686,x86_64}
done
/bin/chmod 555 /srv/ftp
rm -f /tmp/.ftpmaint.lck
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/cron-jobs/create-filelists b/cron-jobs/create-filelists
index 84867d8..6bbb345 100755
--- a/cron-jobs/create-filelists
+++ b/cron-jobs/create-filelists
@@ -9,8 +9,8 @@ lock="/tmp/create-filelists.lock"
. "$(dirname $0)/../config"
if [ -f "$lock" ]; then
- echo "Error: create-filelists already in progress."
- exit 1
+ echo "Error: create-filelists already in progress."
+ exit 1
fi
touch "$lock" || exit 1
@@ -25,74 +25,74 @@ TMPDIR="$(mktemp -d /tmp/create-filelists.tmpdir.XXXXXX)" || exit 1
/usr/bin/renice +10 -p $$ > /dev/null
case "${DBEXT}" in
- *.gz) TAR_OPT="z" ;;
- *.bz2) TAR_OPT="j" ;;
- *.xz) TAR_OPT="J" ;;
- *) echo "Unknown compression type for DBEXT=${DBEXT}" && exit 1 ;;
+ *.gz) TAR_OPT="z" ;;
+ *.bz2) TAR_OPT="j" ;;
+ *.xz) TAR_OPT="J" ;;
+ *) echo "Unknown compression type for DBEXT=${DBEXT}" && exit 1 ;;
esac
FILESEXT="${DBEXT//db/files}"
for repo in $repos; do
- REPO_DB_FILE="${repo}$DBEXT"
- FILES_DB_FILE="${repo}$FILESEXT"
- for arch in ${ARCHES[@]}; do
-# echo "Running for architecture $arch, repo $repo"
- cd "$reposdir"
+ REPO_DB_FILE="${repo}$DBEXT"
+ FILES_DB_FILE="${repo}$FILESEXT"
+ for arch in ${ARCHES[@]}; do
+# echo "Running for architecture $arch, repo $repo"
+ cd "$reposdir"
- repodir="${repo}/os/${arch}"
- cached="no"
+ repodir="${repo}/os/${arch}"
+ cached="no"
- # extract package db archive
- if [ -f "${targetdir}/${repodir}/${REPO_DB_FILE}" ]; then
- mkdir -p "${DBDIR}/${repodir}"
-# echo "extracting $REPO_DB_FILE"
- bsdtar -xf "${targetdir}/${repodir}/${REPO_DB_FILE}" -C "${DBDIR}/${repodir}"
- else
- echo "Fail! Does the repo $repo with arch $arch even exist?"
- continue
- fi
+ # extract package db archive
+ if [ -f "${targetdir}/${repodir}/${REPO_DB_FILE}" ]; then
+ mkdir -p "${DBDIR}/${repodir}"
+# echo "extracting $REPO_DB_FILE"
+ bsdtar -xf "${targetdir}/${repodir}/${REPO_DB_FILE}" -C "${DBDIR}/${repodir}"
+ else
+ echo "Fail! Does the repo $repo with arch $arch even exist?"
+ continue
+ fi
- # extract old file archive
- if [ -f "${targetdir}/${repodir}/${FILES_DB_FILE}" ]; then
- mkdir -p "${CACHEDIR}/${repodir}"
-# echo "extracting $FILES_DB_FILE"
- bsdtar -xf "${targetdir}/${repodir}/${FILES_DB_FILE}" -C "${CACHEDIR}/${repodir}"
- cached="yes"
- fi
+ # extract old file archive
+ if [ -f "${targetdir}/${repodir}/${FILES_DB_FILE}" ]; then
+ mkdir -p "${CACHEDIR}/${repodir}"
+# echo "extracting $FILES_DB_FILE"
+ bsdtar -xf "${targetdir}/${repodir}/${FILES_DB_FILE}" -C "${CACHEDIR}/${repodir}"
+ cached="yes"
+ fi
- # create file lists
- for pkg in $(ls ${DBDIR}/${repodir}); do
- dbpkgdir="${DBDIR}/${repodir}/${pkg}"
- cachepkgdir="${CACHEDIR}/${repodir}/${pkg}"
- tmppkgdir="${TMPDIR}/${repodir}/${pkg}"
- mkdir -p "$tmppkgdir"
- ln "${dbpkgdir}/desc" "${tmppkgdir}/desc"
- ln "${dbpkgdir}/depends" "${tmppkgdir}/depends"
- if [ -f "${cachepkgdir}/files" ]; then
-# echo "cache: $pkg"
- ln "${cachepkgdir}/files" "${tmppkgdir}/files"
- else
-# echo "not cache: $repo/$arch: $pkg"
- filename=$(grep -A1 '^%FILENAME%$' "${dbpkgdir}/desc" | tail -n1)
- echo '%FILES%' > "${tmppkgdir}/files"
- bsdtar --exclude=.* -tf "$repodir/$filename" >> "${tmppkgdir}/files"
- cached="no"
- fi
- done
+ # create file lists
+ for pkg in $(ls ${DBDIR}/${repodir}); do
+ dbpkgdir="${DBDIR}/${repodir}/${pkg}"
+ cachepkgdir="${CACHEDIR}/${repodir}/${pkg}"
+ tmppkgdir="${TMPDIR}/${repodir}/${pkg}"
+ mkdir -p "$tmppkgdir"
+ ln "${dbpkgdir}/desc" "${tmppkgdir}/desc"
+ ln "${dbpkgdir}/depends" "${tmppkgdir}/depends"
+ if [ -f "${cachepkgdir}/files" ]; then
+# echo "cache: $pkg"
+ ln "${cachepkgdir}/files" "${tmppkgdir}/files"
+ else
+# echo "not cache: $repo/$arch: $pkg"
+ filename=$(grep -A1 '^%FILENAME%$' "${dbpkgdir}/desc" | tail -n1)
+ echo '%FILES%' > "${tmppkgdir}/files"
+ bsdtar --exclude=.* -tf "$repodir/$filename" >> "${tmppkgdir}/files"
+ cached="no"
+ fi
+ done
- # create new file archive
- if [ "$cached" == "no" ]; then
- # at least one package has changed, so let's rebuild the archive
-# echo "creating ${FILES_DB_FILE}/${arch}"
- pkgdir="${targetdir}/${repodir}"
- mkdir -p "$pkgdir"
- cd "${TMPDIR}/${repodir}"
- [ -f "${pkgdir}/${FILES_DB_FILE}.old" ] && rm "${pkgdir}/${FILES_DB_FILE}.old"
- [ -f "${pkgdir}/${FILES_DB_FILE}" ] && mv "${pkgdir}/${FILES_DB_FILE}" "${pkgdir}/${FILES_DB_FILE}.old"
- bsdtar --exclude=*${DBEXT//\.db/} -c${TAR_OPT}f "${pkgdir}/${FILES_DB_FILE}" *
- fi
- done
+ # create new file archive
+ if [ "$cached" == "no" ]; then
+ # at least one package has changed, so let's rebuild the archive
+# echo "creating ${FILES_DB_FILE}/${arch}"
+ pkgdir="${targetdir}/${repodir}"
+ mkdir -p "$pkgdir"
+ cd "${TMPDIR}/${repodir}"
+ [ -f "${pkgdir}/${FILES_DB_FILE}.old" ] && rm "${pkgdir}/${FILES_DB_FILE}.old"
+ [ -f "${pkgdir}/${FILES_DB_FILE}" ] && mv "${pkgdir}/${FILES_DB_FILE}" "${pkgdir}/${FILES_DB_FILE}.old"
+ bsdtar --exclude=*${DBEXT//\.db/} -c${TAR_OPT}f "${pkgdir}/${FILES_DB_FILE}" *
+ fi
+ done
done
cd - >/dev/null
@@ -100,4 +100,4 @@ rm -rf "$TMPDIR" "$CACHEDIR" "$DBDIR"
rm -f "$lock" || exit 1
# echo 'done'
-# vim: set ts=4 sw=4 et ft=sh:
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/cron-jobs/devlist-mailer b/cron-jobs/devlist-mailer
index ca2e46b..10f8662 100755
--- a/cron-jobs/devlist-mailer
+++ b/cron-jobs/devlist-mailer
@@ -8,11 +8,11 @@ FROM="repomaint(a)archlinux.org"
SUBJECT="Repository Maintenance $(date +"%d-%m-%Y")"
if [ $# -ge 1 ]; then
- SUBJECT="$1 $(date +"%d-%m-%Y")"
+ SUBJECT="$1 $(date +"%d-%m-%Y")"
fi
if [ $# -ge 2 ]; then
- LIST="$2"
+ LIST="$2"
fi
stdin="$(cat)"
diff --git a/cron-jobs/ftpdir-cleanup b/cron-jobs/ftpdir-cleanup
index d66138c..53fcb72 100755
--- a/cron-jobs/ftpdir-cleanup
+++ b/cron-jobs/ftpdir-cleanup
@@ -9,11 +9,11 @@ LOCKFILE="/tmp/.ftpdircleanup.lock"
cleanup () {
rm -f "$LOCKFILE"
- exit 0
+ exit 0
}
ctrl_c() {
- cleanup
+ cleanup
}
if [ -f "$LOCKFILE" ]; then
@@ -31,7 +31,9 @@ trap ctrl_c 2
/usr/bin/renice +10 -p $$ > /dev/null
for repo in $repos; do
- $(dirname $0)/../misc-scripts/ftpdir-cleanup $repo $CLEANUP_DESTDIR
+ $(dirname $0)/../misc-scripts/ftpdir-cleanup $repo $CLEANUP_DESTDIR
done
cleanup
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/cron-jobs/integrity-check b/cron-jobs/integrity-check
index 0b2b9c7..c240a55 100755
--- a/cron-jobs/integrity-check
+++ b/cron-jobs/integrity-check
@@ -3,13 +3,15 @@
basedir="$(dirname $0)"
if [ $# -ne 2 ]; then
- echo "usage: $(basename $0) <repo>[,<repo>,...] <mailto>" >&2
- exit 1
+ echo "usage: $(basename $0) <repo>[,<repo>,...] <mailto>" >&2
+ exit 1
fi
for arch in i686 x86_64; do
- $basedir/check_archlinux/check_packages.py \
- --repos="$1" \
- --abs-tree="/srv/abs/rsync/$arch,/srv/abs/rsync/any" --arch="$arch" |\
- $basedir/devlist-mailer "Integrity Check $arch: $1" "$2"
+ $basedir/check_archlinux/check_packages.py \
+ --repos="$1" \
+ --abs-tree="/srv/abs/rsync/$arch,/srv/abs/rsync/any" --arch="$arch" |\
+ $basedir/devlist-mailer "Integrity Check $arch: $1" "$2"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/cron-jobs/sourceballs b/cron-jobs/sourceballs
index b7a4885..fc27114 100755
--- a/cron-jobs/sourceballs
+++ b/cron-jobs/sourceballs
@@ -11,12 +11,12 @@ LOCKFILE="/tmp/.sourceball.lock"
cleanup () {
rm -f "$LOCKFILE"
- restore_umask
- exit 0
+ restore_umask
+ exit 0
}
ctrl_c() {
- cleanup
+ cleanup
}
if [ -f "$LOCKFILE" ]; then
@@ -40,53 +40,55 @@ FAILED_PKGS=""
echo "Errors occured during run:" > "$srcbase/errors.txt"
for repo in $repos; do
- for arch in ${ARCHES[@]} any; do
- ftppath="$ftpbase/$repo/os/$arch"
- if [ ! -d "$ftppath" ]; then
- echo "FTP path does not exist: $ftppath" >2
- continue
- fi
- cd $ftppath
- for pkg in *$PKGEXT; do
- [ -f "$pkg" ] || continue
- pkgbase=$(getpkgbase $pkg)
- srcpath="$srcbase/"
- srcpkg="${pkg//$PKGEXT/$SRCEXT}"
- srcpkg="${srcpkg//-$arch/}"
- srcpkgname="${srcpkg%-*-*$SRCEXT}"
- srcpkgbase="${srcpkg/$srcpkgname/$pkgbase}"
-
- #Don't do anything for package in this 'blacklist'
- if grep "^$pkgbase\$" "$dirname/sourceballs.skip" >/dev/null 2>&1; then
- continue
- fi
-
- #This pkgbase has already failed. No sense in trying it again this run
- if echo $FAILED_PKGS | grep "\<$pkgbase\>" >&/dev/null; then
- continue
- fi
-
- #Use this file to 'whitelist' or force building some sourceballs,
- # skipping the license check
- force=""
- if grep "^$pkgbase\$" "$dirname/sourceballs.force" >/dev/null 2>&1; then
- force="-f"
- fi
-
- if [ ! \( -f "$srcpath$srcpkg" -o -f "$srcpath$srcpkgbase" \) ]; then
- if ! $dirname/../misc-scripts/make-sourceball $force \
- $pkgbase $repo $arch 2>>"$srcbase/errors.txt"; then
- FAILED_PKGS="$FAILED_PKGS $pkgbase"
- fi
- fi
- done
- done
+ for arch in ${ARCHES[@]} any; do
+ ftppath="$ftpbase/$repo/os/$arch"
+ if [ ! -d "$ftppath" ]; then
+ echo "FTP path does not exist: $ftppath" >2
+ continue
+ fi
+ cd $ftppath
+ for pkg in *$PKGEXT; do
+ [ -f "$pkg" ] || continue
+ pkgbase=$(getpkgbase $pkg)
+ srcpath="$srcbase/"
+ srcpkg="${pkg//$PKGEXT/$SRCEXT}"
+ srcpkg="${srcpkg//-$arch/}"
+ srcpkgname="${srcpkg%-*-*$SRCEXT}"
+ srcpkgbase="${srcpkg/$srcpkgname/$pkgbase}"
+
+ #Don't do anything for package in this 'blacklist'
+ if grep "^$pkgbase\$" "$dirname/sourceballs.skip" >/dev/null 2>&1; then
+ continue
+ fi
+
+ #This pkgbase has already failed. No sense in trying it again this run
+ if echo $FAILED_PKGS | grep "\<$pkgbase\>" >&/dev/null; then
+ continue
+ fi
+
+ #Use this file to 'whitelist' or force building some sourceballs,
+ # skipping the license check
+ force=""
+ if grep "^$pkgbase\$" "$dirname/sourceballs.force" >/dev/null 2>&1; then
+ force="-f"
+ fi
+
+ if [ ! \( -f "$srcpath$srcpkg" -o -f "$srcpath$srcpkgbase" \) ]; then
+ if ! $dirname/../misc-scripts/make-sourceball $force \
+ $pkgbase $repo $arch 2>>"$srcbase/errors.txt"; then
+ FAILED_PKGS="$FAILED_PKGS $pkgbase"
+ fi
+ fi
+ done
+ done
done
if [ -n "$FAILED_PKGS" ]; then
- [ -e "$srcbase/failed.txt" ] && /bin/mv "$srcbase/failed.txt" "$srcbase/failed.txt.old"
- echo "The following package bases failed:" > "$srcbase/failed.txt"
- echo -e $FAILED_PKGS | sed "s| |\n|g" | sort -u >> "$srcbase/failed.txt"
+ [ -e "$srcbase/failed.txt" ] && /bin/mv "$srcbase/failed.txt" "$srcbase/failed.txt.old"
+ echo "The following package bases failed:" > "$srcbase/failed.txt"
+ echo -e $FAILED_PKGS | sed "s| |\n|g" | sort -u >> "$srcbase/failed.txt"
fi
cleanup
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/cron-jobs/sourceballs-cleanup b/cron-jobs/sourceballs-cleanup
index c8d7b15..7c2e1ce 100755
--- a/cron-jobs/sourceballs-cleanup
+++ b/cron-jobs/sourceballs-cleanup
@@ -10,21 +10,21 @@ LOCKFILE="/tmp/.sourceball-cleanup.lock"
WORKDIR="/tmp/sourceball-cleanup.$packagename.$UID"
cleanup () {
- restore_umask
- rm -rf "$WORKDIR"
- rm -f "$LOCKFILE"
- exit 0
+ restore_umask
+ rm -rf "$WORKDIR"
+ rm -f "$LOCKFILE"
+ exit 0
}
ctrl_c() {
- echo "Interrupted" >&2
- cleanup 0
+ echo "Interrupted" >&2
+ cleanup 0
}
if [ -f "$LOCKFILE" ]; then
- owner="$(/usr/bin/stat -c %U $LOCKFILE)"
- echo "error: source tarball generation is already in progress (started by $owner)"
- exit 1
+ owner="$(/usr/bin/stat -c %U $LOCKFILE)"
+ echo "error: source tarball generation is already in progress (started by $owner)"
+ exit 1
fi
trap cleanup 0
@@ -43,19 +43,21 @@ cd "$WORKDIR"
echo "Orphaned sourceballs:" > "$logfile"
for sourceball in "$srcpath"/*$SRCEXT; do
- packagename=$(basename $sourceball)
- packagename=${packagename%-*-*$SRCEXT}
-
- if ! /usr/bin/svn export -q --force "$SVNREPO/$packagename" "$packagename" >/dev/null 2>&1 ; then
- echo "$packagename : no longer in svn. Removing sourceball." >> "$logfile"
- mv $sourceball $SOURCE_CLEANUP_DESTDIR
- elif [ -z "$(ls -A "$packagename/repos")" ]; then
- echo "$packagename : no longer in repos but trunk is still in svn. Removing sourceball." >> "$logfile"
- mv $sourceball $SOURCE_CLEANUP_DESTDIR
- elif ! source "$packagename/trunk/$BUILDSCRIPT" && chk_license ${license[@]}; then
- echo "$packagename : source hosting no longer required by license. Removing sourceball." >> "$logfile"
- mv $sourceball $SOURCE_CLEANUP_DESTDIR
- fi
+ packagename=$(basename $sourceball)
+ packagename=${packagename%-*-*$SRCEXT}
+
+ if ! /usr/bin/svn export -q --force "$SVNREPO/$packagename" "$packagename" >/dev/null 2>&1 ; then
+ echo "$packagename : no longer in svn. Removing sourceball." >> "$logfile"
+ mv $sourceball $SOURCE_CLEANUP_DESTDIR
+ elif [ -z "$(ls -A "$packagename/repos")" ]; then
+ echo "$packagename : no longer in repos but trunk is still in svn. Removing sourceball." >> "$logfile"
+ mv $sourceball $SOURCE_CLEANUP_DESTDIR
+ elif ! source "$packagename/trunk/$BUILDSCRIPT" && chk_license ${license[@]}; then
+ echo "$packagename : source hosting no longer required by license. Removing sourceball." >> "$logfile"
+ mv $sourceball $SOURCE_CLEANUP_DESTDIR
+ fi
done
cleanup 0
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/db-functions b/db-functions
index df50f22..77af195 100644
--- a/db-functions
+++ b/db-functions
@@ -24,25 +24,25 @@ repo_lock () { #repo_lock <repo-name> <arch> [timeout]
local _owner
if [ $# -eq 2 ]; then
- _lockblock=true
- _trial=0
+ _lockblock=true
+ _trial=0
elif [ $# -eq 3 ]; then
- _lockblock=false
- _timeout=$3
- let _trial=$_timeout/$LOCK_DELAY
+ _lockblock=false
+ _timeout=$3
+ let _trial=$_timeout/$LOCK_DELAY
fi
_count=0
while [ $_count -le $_trial ] || $_lockblock ; do
- if ! mkdir "$LOCKDIR" >/dev/null 2>&1 ; then
- _owner="$(/usr/bin/stat -c %U $LOCKDIR)"
- echo "error: Repo $1-$2 is already locked by $_owner. Retrying in $LOCK_DELAY seconds..." >&2
- else
- set_umask
- break
- fi
- sleep $LOCK_DELAY
- let _count=$_count+1
+ if ! mkdir "$LOCKDIR" >/dev/null 2>&1 ; then
+ _owner="$(/usr/bin/stat -c %U $LOCKDIR)"
+ echo "error: Repo $1-$2 is already locked by $_owner. Retrying in $LOCK_DELAY seconds..." >&2
+ else
+ set_umask
+ break
+ fi
+ sleep $LOCK_DELAY
+ let _count=$_count+1
done
}
@@ -156,18 +156,18 @@ get_repos_for_host() {
#usage: chk_license ${license[@]}"
chk_license() {
- local l
- for l in "$@"; do
- l="$(echo $l | tr '[:upper:]' '[:lower:]')"
- for allowed in ${ALLOWED_LICENSES[@]}; do
- allowed="$(echo $allowed | tr '[:upper:]' '[:lower:]')"
- if [ "$l" = "$allowed" ]; then
- return 0
- fi
- done
- done
-
- return 1
+ local l
+ for l in "$@"; do
+ l="$(echo $l | tr '[:upper:]' '[:lower:]')"
+ for allowed in ${ALLOWED_LICENSES[@]}; do
+ allowed="$(echo $allowed | tr '[:upper:]' '[:lower:]')"
+ if [ "$l" = "$allowed" ]; then
+ return 0
+ fi
+ done
+ done
+
+ return 1
}
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/db-move b/db-move
index c5bd32e..9e57046 100755
--- a/db-move
+++ b/db-move
@@ -23,10 +23,10 @@ svnrepo_to="$repoto-$_arch"
WORKDIR="$TMPDIR/db-move.$svnrepo_from.$svnrepo_to.$UID"
cleanup() {
- trap '' 0 2
+ trap '' 0 2
# unlock
- repo_unlock $repoto $_arch
- repo_unlock $repofrom $_arch
+ repo_unlock $repoto $_arch
+ repo_unlock $repofrom $_arch
rm -rf "$WORKDIR"
[ "$1" ] && exit $1
}
@@ -55,27 +55,27 @@ cd checkout
/usr/bin/svn up -q $packagebase
if [ -d "$packagebase/repos/$svnrepo_from" ]; then
- . "$packagebase/repos/$svnrepo_from/$BUILDSCRIPT"
-
- for i in ${pkgname[@]}; do
- _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
- getpkgfile "$ftppath_from/${_arch}/"$_pkgfile >/dev/null
- done
-
- if [ -d "$packagebase/repos/$svnrepo_to" ]; then
- echo " Removing existing package from subversion"
- /usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
- /usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
- fi
-
- echo " Moving svn entries"
- /usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
- /usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
-
- echo " Moving package file and updating DBs"
- cd "$WORKDIR"
- [ -d build/ ] || mkdir build
- cd build/
+ . "$packagebase/repos/$svnrepo_from/$BUILDSCRIPT"
+
+ for i in ${pkgname[@]}; do
+ _pkgfile="$i-$pkgver-$pkgrel-$_arch$PKGEXT"
+ getpkgfile "$ftppath_from/${_arch}/"$_pkgfile >/dev/null
+ done
+
+ if [ -d "$packagebase/repos/$svnrepo_to" ]; then
+ echo " Removing existing package from subversion"
+ /usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
+ /usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
+ fi
+
+ echo " Moving svn entries"
+ /usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
+ /usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
+
+ echo " Moving package file and updating DBs"
+ cd "$WORKDIR"
+ [ -d build/ ] || mkdir build
+ cd build/
if [ "${_arch}" == "any" ]; then
arches="i686 x86_64"
@@ -83,18 +83,18 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
arches="${_arch}"
fi
- for architecture in $arches; do
+ for architecture in $arches; do
# copy the db file into our working area
if [ -f "$ftppath_from/$architecture/$repofrom$DBEXT" ]; then
- /bin/cp "$ftppath_from/$architecture/$repofrom$DBEXT" .
- /usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
- #use '*' to move the old DB too
- mv $repofrom$DBEXT* "$ftppath_from/$architecture"
- echo " Package files will be cleaned up automatically"
+ /bin/cp "$ftppath_from/$architecture/$repofrom$DBEXT" .
+ /usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
+ #use '*' to move the old DB too
+ mv $repofrom$DBEXT* "$ftppath_from/$architecture"
+ echo " Package files will be cleaned up automatically"
fi
if [ -f "$ftppath_to/$architecture/$repoto$DBEXT" ]; then
- /bin/cp "$ftppath_to/$architecture/$repoto$DBEXT" .
+ /bin/cp "$ftppath_to/$architecture/$repoto$DBEXT" .
fi
for i in ${pkgname[@]}; do
@@ -106,19 +106,21 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
done
#use '*' to move the old DB too
mv $repoto$DBEXT* $ftppath_to/$architecture
- for i in ${pkgname[@]}; do
- _pkgfile=$(getpkgfile "$i-$pkgver-$pkgrel-$_arch"$PKGEXT)
- [ $? -gt 0 ] && die
- if [ "${_arch}" == "any" ]; then
- mv ${_pkgfile} $ftppath_to/any
- ln -s ../any/${_pkgfile} $ftppath_to/$architecture/
- else
- mv ${_pkgfile} $ftppath_to/$architecture
- fi
- done
+ for i in ${pkgname[@]}; do
+ _pkgfile=$(getpkgfile "$i-$pkgver-$pkgrel-$_arch"$PKGEXT)
+ [ $? -gt 0 ] && die
+ if [ "${_arch}" == "any" ]; then
+ mv ${_pkgfile} $ftppath_to/any
+ ln -s ../any/${_pkgfile} $ftppath_to/$architecture/
+ else
+ mv ${_pkgfile} $ftppath_to/$architecture
+ fi
+ done
done
else
- die "Error: $packagebase is not in repo $repofrom"
+ die "Error: $packagebase is not in repo $repofrom"
fi
cleanup
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/db-remove b/db-remove
index 3190231..8307d4c 100755
--- a/db-remove
+++ b/db-remove
@@ -20,7 +20,7 @@ svnrepo="$reponame-$_arch"
WORKDIR="$TMPDIR/db-remove.$svnrepo.$UID"
cleanup() {
- trap '' 0 2
+ trap '' 0 2
# unlock
repo_unlock $reponame $_arch
rm -rf "$WORKDIR"
diff --git a/db-update b/db-update
index 0973bf3..7bd1d64 100755
--- a/db-update
+++ b/db-update
@@ -55,7 +55,7 @@ if [ -d "${stagedir}/add" ]; then
fi
cleanup() {
- trap '' 0 2
+ trap '' 0 2
repo_unlock $reponame $current_arch
rm -rf "$WORKDIR"
[ "$1" ] && exit $1
diff --git a/misc-scripts/ftpdir-cleanup b/misc-scripts/ftpdir-cleanup
index 4c559b9..7fedd76 100755
--- a/misc-scripts/ftpdir-cleanup
+++ b/misc-scripts/ftpdir-cleanup
@@ -19,181 +19,183 @@ ftppath_base="$FTP_BASE/$reponame/$FTP_OS_SUFFIX"
for arch in ${ARCHES[@]}; do
- repo_lock $reponame $arch $LOCK_TIMEOUT
-
- TMPDIR=$(mktemp -d /tmp/cleanup-XXXXXX) || exit 1
- ftppath="$ftppath_base/$arch"
- MISSINGFILES=""
- DELETEFILES=""
- DELETESYMLINKS=""
- EXTRAFILES=""
-
- if [ ! -d "$ftppath" ]; then
- echo "FTP path '$ftppath' does not exist"
- exit 1
- fi
-
- if ! cd "${TMPDIR}" ; then
- echo "Failed to cd to ${TMPDIR}"
- exit 1
- fi
-
- if [ ! -f "$ftppath/$reponame$DBEXT" ]; then
- echo ""
- echo "ERROR: The file \"$ftppath/$reponame$DBEXT\" could not be found, aborting."
- echo ""
- exit 1
- fi
-
- if ! bsdtar xf "$ftppath/$reponame$DBEXT"; then
- echo ""
- echo "ERROR: Command failed: bsdtar xf \"$ftppath/$reponame$DBEXT\""
- exit 1
- fi
-
- cd "$ftppath"
-
- for pkg in $TMPDIR/*; do
- filename=$(grep -A1 '^%FILENAME%$' "${pkg}/desc" | tail -n1)
-
- if [ ! -e "${filename}" ]; then
- MISSINGFILES="${MISSINGFILES} ${filename}"
- else
- pkgname="$(getpkgname ${filename})"
- for otherfile in ${pkgname}-*; do
- if [ "${otherfile}" != "${filename}" -a "${pkgname}" = "$(getpkgname ${otherfile})" ]; then
- if [ -h "${otherfile}" ]; then
- DELETESYMLINKS="${DELETESYMLINKS} ${otherfile}"
- else
- DELETEFILES="${DELETEFILES} ${otherfile}"
- fi
- fi
- done
- fi
- done
-
- for pkg in *$PKGEXT; do
- if [ ! -e "$pkg" ]; then
- continue
- fi
- pkgname="$(getpkgname $pkg)"
- for p in ${TMPDIR}/${pkgname}-*; do
- [ ! -d "${p}" ] || continue 2
- dbpkgname=$(grep -A1 '^%FILENAME%$' "${p}/desc" 2>/dev/null| tail -n1)
- if [ "${dbpkgname}" = "${pkgname}" ]; then
- continue 2
- fi
- done
- EXTRAFILES="$EXTRAFILES $pkg"
- done
-
- rm -rf ${TMPDIR}
-
- # Do a quick check to see if a missing ARCHINDEPFILE is in the any dir
- # If it is, and the file is MISSING, restore it
- missfiles="$MISSINGFILES"
- MISSINGFILES=""
- for mf in $missfiles; do
- if [ -e "${ftppath_base}/any/${mf}" ]; then
- echo "Restoring missing 'any' symlink: ${mf}"
- ${CLEANUP_DRYRUN} || ln -s "../any/${mf}" "${ftppath}"
- else
- MISSINGFILES="${MISSINGFILES} ${mf}"
- fi
- done
-
- repo_unlock $reponame $arch
-
- #Make sure we've done *something* before outputting anything
- if [ -z "$DELETEFILES$DELETESYMLINKS$MISSINGFILES$EXTRAFILES" ]; then
- continue
- fi
-
- echo "Scan complete for $reponame ($arch) at ${ftppath}"
-
- if [ -n "$DELETEFILES" ]; then
- echo " The following files are out of date"
- echo " They will be moved to '$dest'"
- for f in $DELETEFILES; do
- echo " $f"
- done
- echo ""
- fi
-
- if [ -n "$DELETESYMLINKS" ]; then
- echo " The following symlinks are out of date"
- echo " They will be deleted"
- for f in $DELETESYMLINKS; do
- echo " $f"
- done
- echo ""
- fi
-
- if [ -n "$MISSINGFILES" ]; then
- echo " The following files are missing in the repo"
- for f in $MISSINGFILES; do
- echo " $f"
- done
- echo ""
- fi
-
- if [ -n "$EXTRAFILES" ]; then
- echo " The following files are in the repo but not the db"
- echo " They will be moved to '$dest'"
- for f in $EXTRAFILES; do
- echo " $f"
- done
- fi
-
- if [ -n "${DELETEFILES}" ]; then
- ${CLEANUP_DRYRUN} || mv ${DELETEFILES} "$dest"
- echo ""
- fi
-
- if [ -n "${DELETESYMLINKS}" ]; then
- ${CLEANUP_DRYRUN} || rm -f ${DELETESYMLINKS}
- echo ""
- fi
-
- if [ -n "${EXTRAFILES}" ]; then
- ${CLEANUP_DRYRUN} || mv ${EXTRAFILES} "$dest"
- echo ""
- fi
+ repo_lock $reponame $arch $LOCK_TIMEOUT
+
+ TMPDIR=$(mktemp -d /tmp/cleanup-XXXXXX) || exit 1
+ ftppath="$ftppath_base/$arch"
+ MISSINGFILES=""
+ DELETEFILES=""
+ DELETESYMLINKS=""
+ EXTRAFILES=""
+
+ if [ ! -d "$ftppath" ]; then
+ echo "FTP path '$ftppath' does not exist"
+ exit 1
+ fi
+
+ if ! cd "${TMPDIR}" ; then
+ echo "Failed to cd to ${TMPDIR}"
+ exit 1
+ fi
+
+ if [ ! -f "$ftppath/$reponame$DBEXT" ]; then
+ echo ""
+ echo "ERROR: The file \"$ftppath/$reponame$DBEXT\" could not be found, aborting."
+ echo ""
+ exit 1
+ fi
+
+ if ! bsdtar xf "$ftppath/$reponame$DBEXT"; then
+ echo ""
+ echo "ERROR: Command failed: bsdtar xf \"$ftppath/$reponame$DBEXT\""
+ exit 1
+ fi
+
+ cd "$ftppath"
+
+ for pkg in $TMPDIR/*; do
+ filename=$(grep -A1 '^%FILENAME%$' "${pkg}/desc" | tail -n1)
+
+ if [ ! -e "${filename}" ]; then
+ MISSINGFILES="${MISSINGFILES} ${filename}"
+ else
+ pkgname="$(getpkgname ${filename})"
+ for otherfile in ${pkgname}-*; do
+ if [ "${otherfile}" != "${filename}" -a "${pkgname}" = "$(getpkgname ${otherfile})" ]; then
+ if [ -h "${otherfile}" ]; then
+ DELETESYMLINKS="${DELETESYMLINKS} ${otherfile}"
+ else
+ DELETEFILES="${DELETEFILES} ${otherfile}"
+ fi
+ fi
+ done
+ fi
+ done
+
+ for pkg in *$PKGEXT; do
+ if [ ! -e "$pkg" ]; then
+ continue
+ fi
+ pkgname="$(getpkgname $pkg)"
+ for p in ${TMPDIR}/${pkgname}-*; do
+ [ ! -d "${p}" ] || continue 2
+ dbpkgname=$(grep -A1 '^%FILENAME%$' "${p}/desc" 2>/dev/null| tail -n1)
+ if [ "${dbpkgname}" = "${pkgname}" ]; then
+ continue 2
+ fi
+ done
+ EXTRAFILES="$EXTRAFILES $pkg"
+ done
+
+ rm -rf ${TMPDIR}
+
+ # Do a quick check to see if a missing ARCHINDEPFILE is in the any dir
+ # If it is, and the file is MISSING, restore it
+ missfiles="$MISSINGFILES"
+ MISSINGFILES=""
+ for mf in $missfiles; do
+ if [ -e "${ftppath_base}/any/${mf}" ]; then
+ echo "Restoring missing 'any' symlink: ${mf}"
+ ${CLEANUP_DRYRUN} || ln -s "../any/${mf}" "${ftppath}"
+ else
+ MISSINGFILES="${MISSINGFILES} ${mf}"
+ fi
+ done
+
+ repo_unlock $reponame $arch
+
+ #Make sure we've done *something* before outputting anything
+ if [ -z "$DELETEFILES$DELETESYMLINKS$MISSINGFILES$EXTRAFILES" ]; then
+ continue
+ fi
+
+ echo "Scan complete for $reponame ($arch) at ${ftppath}"
+
+ if [ -n "$DELETEFILES" ]; then
+ echo " The following files are out of date"
+ echo " They will be moved to '$dest'"
+ for f in $DELETEFILES; do
+ echo " $f"
+ done
+ echo ""
+ fi
+
+ if [ -n "$DELETESYMLINKS" ]; then
+ echo " The following symlinks are out of date"
+ echo " They will be deleted"
+ for f in $DELETESYMLINKS; do
+ echo " $f"
+ done
+ echo ""
+ fi
+
+ if [ -n "$MISSINGFILES" ]; then
+ echo " The following files are missing in the repo"
+ for f in $MISSINGFILES; do
+ echo " $f"
+ done
+ echo ""
+ fi
+
+ if [ -n "$EXTRAFILES" ]; then
+ echo " The following files are in the repo but not the db"
+ echo " They will be moved to '$dest'"
+ for f in $EXTRAFILES; do
+ echo " $f"
+ done
+ fi
+
+ if [ -n "${DELETEFILES}" ]; then
+ ${CLEANUP_DRYRUN} || mv ${DELETEFILES} "$dest"
+ echo ""
+ fi
+
+ if [ -n "${DELETESYMLINKS}" ]; then
+ ${CLEANUP_DRYRUN} || rm -f ${DELETESYMLINKS}
+ echo ""
+ fi
+
+ if [ -n "${EXTRAFILES}" ]; then
+ ${CLEANUP_DRYRUN} || mv ${EXTRAFILES} "$dest"
+ echo ""
+ fi
done
ARCHINDEPFILES=""
if [ -d "$ftppath_base/any" ]; then
- cd "$ftppath_base/any"
- for pkg in *$PKGEXT; do
- [ -f "$pkg" ] || continue # in case we get a file named "*.pkg.tar.gz"
- found=0
- #check for any existing symlinks
- for arch in ${ARCHES[@]}; do
- if [ -h "$ftppath_base/$arch/$pkg" ]; then
- found=1
- break
- fi
- done
- if [ $found -eq 0 ]; then
- # We found no symlinks to this, delete it
- ARCHINDEPFILES="$ARCHINDEPFILES $pkg"
- fi
- done
+ cd "$ftppath_base/any"
+ for pkg in *$PKGEXT; do
+ [ -f "$pkg" ] || continue # in case we get a file named "*.pkg.tar.gz"
+ found=0
+ #check for any existing symlinks
+ for arch in ${ARCHES[@]}; do
+ if [ -h "$ftppath_base/$arch/$pkg" ]; then
+ found=1
+ break
+ fi
+ done
+ if [ $found -eq 0 ]; then
+ # We found no symlinks to this, delete it
+ ARCHINDEPFILES="$ARCHINDEPFILES $pkg"
+ fi
+ done
fi
if [ -n "$ARCHINDEPFILES" ]; then
- echo " The following architecture independent packages"
- echo " are not symlinked in the architecture repositories."
- echo " They will be moved to '$dest'"
- for f in $ARCHINDEPFILES; do
- echo " $f"
- done
+ echo " The following architecture independent packages"
+ echo " are not symlinked in the architecture repositories."
+ echo " They will be moved to '$dest'"
+ for f in $ARCHINDEPFILES; do
+ echo " $f"
+ done
fi
if [ -d "$ftppath_base/any" -a -n "${ARCHINDEPFILES}" ]; then
- cd "$ftppath_base/any"
- ${CLEANUP_DRYRUN} || mv ${ARCHINDEPFILES} "$dest"
- echo ""
+ cd "$ftppath_base/any"
+ ${CLEANUP_DRYRUN} || mv ${ARCHINDEPFILES} "$dest"
+ echo ""
fi
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball
index 8899fca..fca6ac4 100755
--- a/misc-scripts/make-sourceball
+++ b/misc-scripts/make-sourceball
@@ -1,9 +1,9 @@
#!/bin/bash
if [ $# -ne 3 -a $# -ne 4 ]; then
- echo "usage: $(basename $0) [-f] <packagename> <repo> <arch>"
- echo " -f Force building. Skip license checks"
- exit 1
+ echo "usage: $(basename $0) [-f] <packagename> <repo> <arch>"
+ echo " -f Force building. Skip license checks"
+ exit 1
fi
. "$(dirname $0)/../db-functions"
@@ -11,8 +11,8 @@ fi
FORCE=0
if [ "$1" = "-f" ]; then
- FORCE=1
- shift
+ FORCE=1
+ shift
fi
packagename="$1"
@@ -25,105 +25,105 @@ logpath="/var/log/sourceballs/"
WORKDIR="/tmp/make-sourceball.$packagename.$UID"
cleanup() {
- restore_umask
- rm -rf "$WORKDIR"
- [ "$1" ] && exit $1
+ restore_umask
+ rm -rf "$WORKDIR"
+ [ "$1" ] && exit $1
}
ctrl_c() {
- echo "Interrupted" >&2
- cleanup 0
+ echo "Interrupted" >&2
+ cleanup 0
}
die() {
- echo -e "$*" >&2
- cleanup 1
+ echo -e "$*" >&2
+ cleanup 1
}
pkgname_from_src() {
- local tmp
- tmp=${1##*/}
- tmp=${tmp%$SRCEXT}
- for a in ${ARCHES[@]}; do
- tmp=${tmp%-$a}
- done
- tmp=${tmp%-any}
- echo ${tmp%-*-*}
+ local tmp
+ tmp=${1##*/}
+ tmp=${tmp%$SRCEXT}
+ for a in ${ARCHES[@]}; do
+ tmp=${tmp%-$a}
+ done
+ tmp=${tmp%-any}
+ echo ${tmp%-*-*}
}
pkgver_from_src() {
- tmp=${1##*/}
- tmp=${tmp%$SRCEXT}
- for a in ${ARCHES[@]}; do
- tmp=${tmp%-$a}
- done
- tmp=${tmp%-any}
- echo $tmp | sed 's|.*-\(.*-.*\)$|\1|g'
+ tmp=${1##*/}
+ tmp=${tmp%$SRCEXT}
+ for a in ${ARCHES[@]}; do
+ tmp=${tmp%-$a}
+ done
+ tmp=${tmp%-any}
+ echo $tmp | sed 's|.*-\(.*-.*\)$|\1|g'
}
create_srcpackage() {
- if [ -d "$1" ]; then
- pushd "$1" >/dev/null
- . "$BUILDSCRIPT"
- if ! [ $FORCE == 1 ] && ! chk_license ${license[@]} ; then
- #Removed so as not to clutter failed.txt
- #echo -e "\t$packagename license (${license[@]}) does not require source tarballs" >&2
- cleanup 0
- else
- echo "Creating source tarball for $packagename-$pkgver-$pkgrel"
- fi
-
- local logfile="$logpath/$packagename"
- if ! /usr/bin/makepkg --allsource --ignorearch >"$logfile" 2>&1; then
- popd >/dev/null
- /bin/gzip -f -9 "$logfile"
- die "\tFailed to download source for $packagename-$pkgver-$pkgrel ($reponame-$_arch)"
- fi
- /bin/rm -f "$logfile"{,.gz}
-
- local pkg_file="${packagename}-${pkgver}-${pkgrel}${SRCEXT}"
-
- if [ ! -d "$srcpath" ]; then
- mkdir -p "$srcpath"
- fi
- cp "$pkg_file" "$srcpath"
-
- popd >/dev/null
-
- return 0
- fi
+ if [ -d "$1" ]; then
+ pushd "$1" >/dev/null
+ . "$BUILDSCRIPT"
+ if ! [ $FORCE == 1 ] && ! chk_license ${license[@]} ; then
+ #Removed so as not to clutter failed.txt
+ #echo -e "\t$packagename license (${license[@]}) does not require source tarballs" >&2
+ cleanup 0
+ else
+ echo "Creating source tarball for $packagename-$pkgver-$pkgrel"
+ fi
+
+ local logfile="$logpath/$packagename"
+ if ! /usr/bin/makepkg --allsource --ignorearch >"$logfile" 2>&1; then
+ popd >/dev/null
+ /bin/gzip -f -9 "$logfile"
+ die "\tFailed to download source for $packagename-$pkgver-$pkgrel ($reponame-$_arch)"
+ fi
+ /bin/rm -f "$logfile"{,.gz}
+
+ local pkg_file="${packagename}-${pkgver}-${pkgrel}${SRCEXT}"
+
+ if [ ! -d "$srcpath" ]; then
+ mkdir -p "$srcpath"
+ fi
+ cp "$pkg_file" "$srcpath"
+
+ popd >/dev/null
+
+ return 0
+ fi
}
remove_old() {
- if [ -d "$1" ]; then
- pushd "$1" >/dev/null
- PKGVERS=""
- for repo in *; do
- cd "$repo"
- . "$BUILDSCRIPT"
- PKGVERS="$PKGVERS $pkgver-$pkgrel"
- cd ..
- done
-
- for srcpkg in "$srcpath/$packagename-"*; do
- [ -f "$srcpkg" ] || continue
- if [ "$(pkgname_from_src $srcpkg)" == "$packagename" ]; then
- skip=0
- pver="$(pkgver_from_src $srcpkg)"
- for v in $PKGVERS; do
- if [ "$v" = "$pver" ]; then
- skip=1
- break
- fi
- done
- if [ $skip -ne 1 ]; then
- mv "$srcpkg" $SOURCE_CLEANUP_DESTDIR
- fi
- fi
- done
-
- popd >/dev/null
- fi
+ if [ -d "$1" ]; then
+ pushd "$1" >/dev/null
+ PKGVERS=""
+ for repo in *; do
+ cd "$repo"
+ . "$BUILDSCRIPT"
+ PKGVERS="$PKGVERS $pkgver-$pkgrel"
+ cd ..
+ done
+
+ for srcpkg in "$srcpath/$packagename-"*; do
+ [ -f "$srcpkg" ] || continue
+ if [ "$(pkgname_from_src $srcpkg)" == "$packagename" ]; then
+ skip=0
+ pver="$(pkgver_from_src $srcpkg)"
+ for v in $PKGVERS; do
+ if [ "$v" = "$pver" ]; then
+ skip=1
+ break
+ fi
+ done
+ if [ $skip -ne 1 ]; then
+ mv "$srcpkg" $SOURCE_CLEANUP_DESTDIR
+ fi
+ fi
+ done
+
+ popd >/dev/null
+ fi
}
trap ctrl_c 2
@@ -135,8 +135,10 @@ set_umask
cd "$WORKDIR"
if /usr/bin/svn export -q "$SVNREPO/$packagename" $packagename; then
- remove_old "$packagename/repos/"
- create_srcpackage "$packagename/repos/$reponame-$_arch"
+ remove_old "$packagename/repos/"
+ create_srcpackage "$packagename/repos/$reponame-$_arch"
else
- die "\tPackage '$packagename' does not exist in repo '$reponame-$_arch'"
+ die "\tPackage '$packagename' does not exist in repo '$reponame-$_arch'"
fi
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community b/testing2community
index 557b39d..b8de926 100755
--- a/testing2community
+++ b/testing2community
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "i686"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "community-testing" "community" "i686"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community-any b/testing2community-any
index e63a7ec..83153dc 100755
--- a/testing2community-any
+++ b/testing2community-any
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "any"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "community-testing" "community" "any"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community64 b/testing2community64
index 3f88a4d..d0d6dd3 100755
--- a/testing2community64
+++ b/testing2community64
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "x86_64"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "community-testing" "community" "x86_64"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core b/testing2core
index 3a7acbf..5f6088a 100755
--- a/testing2core
+++ b/testing2core
@@ -1,11 +1,11 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "i686"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "core" "i686"
done
diff --git a/testing2core-any b/testing2core-any
index a0993e8..4e362ad 100755
--- a/testing2core-any
+++ b/testing2core-any
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "any"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "core" "any"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core64 b/testing2core64
index 4d30036..f307413 100755
--- a/testing2core64
+++ b/testing2core64
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "x86_64"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "core" "x86_64"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra b/testing2extra
index 3be108e..12795b4 100755
--- a/testing2extra
+++ b/testing2extra
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "i686"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "extra" "i686"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra-any b/testing2extra-any
index 46ab2f0..2455381 100755
--- a/testing2extra-any
+++ b/testing2extra-any
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "any"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "extra" "any"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra64 b/testing2extra64
index 418876c..b555210 100755
--- a/testing2extra64
+++ b/testing2extra64
@@ -1,11 +1,13 @@
#!/bin/bash
if [ $# -le 0 ]; then
- echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
- exit 0
+ echo "usage: $(basename 0) <packagename> [<packagename> [<packagename ...]]"
+ exit 0
fi
for pkg in $@; do
- echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "x86_64"
+ echo "==> Moving package '$pkg'"
+ $(dirname $0)/db-move "$pkg" "testing" "extra" "x86_64"
done
+
+# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2x b/testing2x
index f9ded9e..7720033 100755
--- a/testing2x
+++ b/testing2x
@@ -4,24 +4,24 @@
. "$(dirname $0)/config"
case "$0" in
- *64)
- _arch="x86_64"
- ;;
- *)
- _arch="i686"
- ;;
+ *64)
+ _arch="x86_64"
+ ;;
+ *)
+ _arch="i686"
+ ;;
esac
WORKDIR="$TMPDIR/testing2x.$UID"
cleanup() {
- trap '' 0 2
- rm -rf "${WORKDIR}"
- [ -n "$1" ] && exit $1
+ trap '' 0 2
+ rm -rf "${WORKDIR}"
+ [ -n "$1" ] && exit $1
}
ctrl_c() {
- echo "Interrupted" >&2
- cleanup 0
+ echo "Interrupted" >&2
+ cleanup 0
}
trap ctrl_c 2
@@ -33,23 +33,25 @@ cd "${WORKDIR}"
cd checkout
for pkg in $*; do
- moved=0
- /usr/bin/svn up -q ${pkg}
- if [ -f "${pkg}/repos/testing-${_arch}/${BUILDSCRIPT}" ]; then
- for repo in core extra; do
- if [ -f "${pkg}/repos/${repo}-${_arch}/${BUILDSCRIPT}" ]; then
- echo "===> Moving package '${pkg}': testing-${_arch} -> ${repo}-${_arch}"
- $(dirname $0)/db-move "${pkg}" "testing" "${repo}" "${_arch}"
- moved=1
- break
- fi
- done
- if [ ${moved} -eq 0 ]; then
- echo "===> Warning: ${pkg} is only in testing-${_arch}, cannot determine where to move it"
- fi
- else
- echo "===> Warning: ${pkg} is not in testing-${_arch}"
- fi
+ moved=0
+ /usr/bin/svn up -q ${pkg}
+ if [ -f "${pkg}/repos/testing-${_arch}/${BUILDSCRIPT}" ]; then
+ for repo in core extra; do
+ if [ -f "${pkg}/repos/${repo}-${_arch}/${BUILDSCRIPT}" ]; then
+ echo "===> Moving package '${pkg}': testing-${_arch} -> ${repo}-${_arch}"
+ $(dirname $0)/db-move "${pkg}" "testing" "${repo}" "${_arch}"
+ moved=1
+ break
+ fi
+ done
+ if [ ${moved} -eq 0 ]; then
+ echo "===> Warning: ${pkg} is only in testing-${_arch}, cannot determine where to move it"
+ fi
+ else
+ echo "===> Warning: ${pkg} is not in testing-${_arch}"
+ fi
done
cleanup
+
+# vim: set ts=4 sw=4 noet ft=sh:
--
1.7.0.2
--
1
0
Upstream (very minor) update; please signoff both arches. bsdtar
and/or pacman testing will do.
-Dan
2
1